/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',15,'childNodes||!',15,'createElement','){alert("The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',1,2,'={version:"3.3b",document:document,',1,':',1,',sizes:[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',35,'","div','.typeset":"text-align: ','center; margin: 1em 0px;","span',39,'left',36,' span":"text-align: left','; border',':0px; margin:0px','; padding',':0px','",".typeset .','normal',35,49,'size0','":"font-size: ','50','%",".typeset .','size1',54,'60',56,'size2',54,'70',56,'size3',54,'85',56,'size4',54,'100',56,'size5',54,'120',56,'size6',54,'144',56,'size7',54,'173',56,'size8',54,'207',56,'size9',54,'249',56,'cmr10','":"font-family: jsMath-',93,', serif',49,'cmbx10',94,98,', ','jsMath-cmr10',49,'cmti10',94,104,', ',102,49,'cmmi10',94,110,49,'cmsy10',94,114,49,'cmex10',94,118,49,'textit','":"font-family: serif; font-','style:italic',49,'textbf',123,'weight:bold',49,'link":"','text-decoration',': none',49,'error',54,'10pt; font-style: italic; "+"','background-color',': #FFFFCC',47,': 1px; "+"border: ','1px solid',' #CC0000',49,'blank":"','display:inline-block','; ','overflow:hidden',45,':0px none; width:0px; height:0px;",".typeset .','spacer','":"',145,'","#jsMath_message":"','position:fixed','; bottom:','1px; left:2px; ',137,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size',':','small; ','width:auto',';","#jsMath_panel','":"',154,155,'1.5em; right:1.5em',47,': .8em 1.6em; "+"',137,':#DDDDDD; border: outset ','2px; "+"z-index:103; ',166,167,' .disabled":"color:#888888","#jsMath_panel .infoLink','":"font-size:','85%","#','jsMath_button','":"',154,155,'1px; right:2px; ',137,':white',159,'0px 3px 1px 3px',161,':black; ',131,':none',163,':x-small; "+"',166,'; ','cursor:hand',';","#','jsMath_global":"font-',124,';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ',166,'; height:auto',203,' .drag":"',137,175,'1px; height:12px',163,': 1px',203,' .close":"',137,158,45,': inset 1px; width:8px; height:8px; margin: 1px 2px',203,' .source":"',137,':#E2E2E2',45,': outset 1px; "+"',166,208,47,': 8px 15px; "+"font-family: courier, fixed',163,': 90%","#jsMath_noFont',' .message":"text-align: center; padding: .8em 1.6em; border: 3px solid #DD0000; "+"background-color: #FFF8F8; color: #AA0000; font-size:',165,166,200,'jsMath_noFont .link":"padding: 0px 5px 2px 5px',45,': 2px outset; ',137,':#E8E8E8; "+"color:black',163,':80%; ',166,'; ',199,200,'jsMath_PrintWarning',234,'x-',165,166,';","@media print":"#',182,' {display:none','}\\n"+"#jsMath_Warning',256,'}","@media screen":"#',249,256,'}"},Element',':function(','_1){return ',6,15,16,'("jsMath_"+_1);},','BBoxFor',263,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _3={w:this.','hidden','.offsetWidth',',h:this.',275,'.offsetHeight','};this.',273,'="";return _3;},EmBoxFor',263,'s',8,'_5=',6,'Global.cache','.R;',0,'_5[this.em]){_5[this.em]={};}',0,'_5','[this.em][s',']){var _6','=this.BBoxFor','(s);_5',294,']={w:_6.w/this.em,h:_6','.h/this.em};}return ','_5',294,'];},','EmBoxForItalics',263,'s',8,'_8=',6,288,'.R;',0,'_8[this.em]){_8[this.em]={};}',0,'_8',294,']){var _9',296,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_9.w',296,'(s+',6,'Browser.','italicString',').w-',6,323,'italicCorrection',';}_8',294,']={w:_9.w/this.em,h:_9',300,'_8',294,'];},Init',':function(){','if(',6,'Setup.inited','!=1){',0,6,339,'){',6,'Setup.','Body();}if(',6,339,'!=1){alert("It looks like jsMath failed to set up properly (error code "+',6,339,'+").  "+"I will try to keep going, but it could get ugly.");',6,339,'=1;}}this.em',296,'("<span style=\\""+',6,323,'block+";','width:13em;height:1em','\\"></span','>").w/13;if(this.em==0',272,'em',296,'("<img src=\\""+',6,'blank+"\\" style=\\"',362,'\\"/>").w/13;}var _a=',6,288,'.B;',0,'_a[this.em]){_a[this.em]={};','_a[this.em].','bb',296,'("x");var hh=',378,'bb.h;',378,'d',296,'("x"+',6,'HTML.Rule(1,','hh/',6,'em)).h-hh;if(',6,323,324,'){',378,'ic=',6,269,'(',6,323,324,').w;}}',6,323,328,'=',378,'ic;var bb=',378,'bb;var h=bb.h;var d=',378,'d;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',346,'TeXfonts','();var _f=this.','EmBoxFor("<span class','=\\"',93,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',272,346,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',430,'0].d)/0.85;',424,'=1;},ReInit',336,'var w',296,'("x").w;if(w!=this.xWidth',272,'Init();}},Loaded',336,'if(',9,8,'_11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;i++){if(',9,'[_11[i]]){delete ',9,'[_11[i]];}}}if(',9,'){this.Insert(','jsMath,',9,');}',9,'=null;',6,7,'=1;},Add',263,'dst,src){for(var id in src){','dst[id]=src[id','];}},Insert',263,465,'if(dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',471,'function")){this.Insert(dst[id],src[id]);}',27,466,'];}}},Package',263,'obj,def',455,'obj.prototype,def);}};',6,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',336,6,288,'={',484,':{}};},GoGlobal',263,'_1b',8,'url=String(',6,1,'.','location);','var c=(',6,1,'.','location.protocol','=="mk:")?"#":"?";if(_1b){url=url.replace(/\\?.*/,"")+"?"+_1b;}',6,'Controls.','Reload(',6,'root+"jsMath-','global.html"+c+escape(url));},Init',336,'if(',6,'Controls.cookie','.global=="always"&&!',6,'noGoGlobal){','if(navigator.','accentColorName','){return;}',0,6,1,'){',6,1,'=',1,';}',6,507,7,'=1;',6,507,'defaults.hiddenGlobal',460,'this.GoGlobal(',6,507,'SetCookie(','2));}},Register',336,'try{if(',1,'.',504,'!="mk:"){this.Domain();}if(parent',2,'&&','parent.',6,'isGlobal){',552,6,'Register(',6,1,');}}','catch(err','){}},Domain',336,'if(navigator.appName=="Microsoft Internet Explorer"&&navigator.platform=="MacPPC"&&navigator.','userProfile','!=null',521,'if(',1,'==parent',521,'var _1e=',6,15,'domain;try{while(true){',545,552,15,'title!=null','){return;}}',561,'){}',0,15,'domain.match(/\\..*\\./)){break;}',6,15,'domain=',6,15,'domain.replace(/^[^.]*\\./,"");}}',561,'){}',6,15,588,'_1e;}};',6,'Script={request:null,Init',336,'if(!(',6,515,'.asynch&&',6,515,'.progress',')){if(',1,'.XMLHttpRequest){try{','this.request','=new XMLHttpRequest;}',561,'){}}',0,611,'&&',1,'.','ActiveXObject',8,'xml=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',623,'.3',623,'","Microsoft.XMLHTTP"];',447,'xml.length&&!',611,';i++){try{',611,'=new ',620,'(xml[i]);}',561,'){}}}}',0,611,'||',6,346,'domainChanged',272,'Load=this.delayedLoad;this.needsBody=1;}},Load',263,'url,_22){if(_22){',6,'Message.Set("Loading "+url);',6,'Script.','Delay(1);',6,'Script.Push(','this,"xmlRequest",url',');',6,655,6,'Message',',"Clear");}',27,6,655,656,');}},xmlRequest',263,'url){','this.blocking','=1;try{',611,'.open("GET",url,false);',611,'.send(null);}',561,'){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',661,': "+err.message;}if(',611,'.status','&&',611,681,'>=400',677,'Error status: "+',611,681,';}var _24=','this.queue',';',691,'=[];',6,1,'.eval(',611,'.responseText);',670,'=0;','this.queue=this.queue.concat(','_24);this.Process();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',263,'_25,_26){','if(typeof (','_25)!="string"){',6,655,'null,_25,_26);}',27,6,655,6,1,',"eval",_25);}},Push',263,'_27,_28,_29){',691,'[',691,'.length]=[_27,_28,_29];if(!(',670,'||(this.needsBody&&!',6,15,'body))){this.Process();}},Process',336,'while(',691,'.length&&!',670,8,'_2a=',691,'[0];var _2b=',691,'.slice(1);',691,'=[];var _2c=_2a[0];var _2d=_2a[1];var _2e=_2a[2];if(_2c){_2c[_2d](_2e);}',27,'if(_2d){_2d(_2e);}}',702,'_2b);}},delayedLoad',263,'url',272,'Push(this,"startLoad",url);},startLoad',263,'url){','this.iframe','=',6,15,21,'("iframe");','this.iframe.style.','visibility="',275,'";',757,'position="absolute";',757,'width="0px";',757,'height="0px";if(',6,15,'body.firstChild','){',6,15,'body.insertBefore(',751,',',6,15,769,');}',27,6,15,'body','.appendChild(',751,');}',670,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',751,'.src=url;}',27,751,'.src=',6,510,'loader.html";}if(url.substr(0,',6,'root.length',')==',6,'root){url=url.substr(',6,801,');}',6,650,'this.cancelTimer','=setTimeout("',6,652,'cancelLoad','()",this.cancelTimeout);},endLoad',263,'_31){if(',810,'){clearTimeout(',810,');',810,'=null;}',6,661,'.Clear();if(_31!="cancel"){',670,'=0;this.Process','();}},Start',336,'this.tmpQueue','=',691,';',691,'=[];},End',336,702,831,');delete ',831,';},',814,336,810,460,6,661,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',263,'_32){',670,'=1;setTimeout("',6,652,'endDelay','()",_32);},',856,336,670,828,'();},','imageCount',':0,WaitForImage',263,'_33){',670,788,863,'++;if(this.img==null',272,'img=[];}var img=new Image',428,'img[this.img.length]=img;img.onload=function(){if(--',6,652,863,'==0){',6,652,856,'();}};img.onerror','=img.onload;img.','onabort',883,'src=_33;},Uncompress',263,'_35){','for(var k=0;k<','_35.length;k++){var d=_35[k];var n=d.length;',447,'n;i++){',706,'d[i])=="number"){d[i]=d[d[i]];}}_35[k]=d.join("");}',1,697,'_35.join(""));}};',6,661,'={blank:null,message:null,text:null,clear:null,Init',336,0,6,15,'body||!',6,515,607,521,'if(',6,346,'stylesReady){','this.message','=',6,'Setup.DIV("message",{visibility:"hidden','"});}',27,914,'=',6,917,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',6,15,'createTextNode','("");',914,784,928,');',914,'.onmousedown=',6,'Translate.Cancel;},Set',263,'_3a,_3b){','if(this.clear){clearTimeout(this.clear',');','this.clear',823,'if(',6,515,607,'){',0,928,272,'Init();',0,928,580,'if(',6,323,'textNodeBug','){',914,'.innerHTML','=_3a;}',27,928,'.nodeValue',967,914,'.style.visibility="','visible";if(_3b){',914,'.style.cursor','="pointer";',0,914,976,'){',914,976,'="hand";}',914,'.title=" Cancel Processing of Math ";}',27,914,976,'="";',914,'.title="";}}',27,'if(_3a.substr(0,8)!="Loading "){',6,1,681,'=_3a;}}},Clear',336,944,');}',946,'=setTimeout("',6,661,'.doClear()",1000);},doClear',336,'if(',946,'){',946,460,6,1,681,'="";if(',928,'){',928,970,'="";}if(',914,'){',914,973,275,'";}}},Blank',336,'if(','this.blank','||!',6,15,'body',521,1030,'=',6,346,'DIV("blank",{position:(',6,323,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',926,':"white"});if(',6,323,'msieBlankBug','){',1030,966,'="&nbsp;";',1030,'.style.width="110%";',1030,'.style.height="110%";}},UnBlank',336,'if(',1030,'){',6,15,'body.removeChild(',1030,');}',1030,'=null;}};',6,'Setup={',7,':[],DIV',263,'id,_3d',8,'div=',6,15,21,'("div");div.id="jsMath_"+id;','for(var i in ','_3d){div.style[i]=_3d[i];}',0,6,15,'body.hasChildNodes){',6,15,'body',784,'div);}',27,6,15,773,'div,',6,15,769,');}return div;},Script',263,'_40,_41){if(','this.loaded[_40',']){return;}',27,1103,']=1;}',0,'_40.match("^([a-zA-Z]+:/?)?/")){_40=',6,'root+_40;}',6,652,'Load(_40,_41);},Hidden',336,6,275,'=this.DIV("Hidden",{visibility:"',275,924,'top:0,left:0,border:0,padding:0,margin:0});',6,'hiddenTop=',6,275,';return;},Source',336,'if(',6,'Autoload&&',6,'Autoload.root','){',6,'root=',6,1132,';}',27,6,'root="";var _42=',6,15,'getElementsByTagName("','script");if(_42){',447,'_42','.length;i++){var ','src=_42[i].src;if(src&&src.match("(^|/)',6,'js$")){',6,1135,'src.','replace(/',6,'js$/,"");if(',6,'root.charAt(0)=="/"){',6,1135,6,15,504,'+"//"+',6,15,'location.host+',6,'root;}',27,0,6,'root.match','(/^[a-z]+:/i)){src','=new String(',6,15,499,6,1135,'src','.replace(new RegExp','("[^/]*$"),"")+',6,'root;while(',6,1174,'("/[^/]*/\\\\.\\\\./")){',6,1135,6,'root',1183,'("/[^/]*/\\\\.\\\\./"),"/");}}}i=_42.length;}}}}',6,'Img.',1135,6,'root+"fonts/";',6,'blank=',6,'root+"blank.gif";this.Domain();},Domain',336,'try{',6,15,'domain;}',561,521,'var _45="";var _46=',6,15,'domain;if(',6,1174,'("://([^/]*)/")){_45=RegExp.$1;}_45=_45.replace(/:\\d+$/,"");if(_45==""||_45==_46',521,564,'onLine&&','navigator.',565,'&&',6,15,'all',521,'_45=_45.split(/\\./);_46=_46.split(/\\./);if(_45.length<2||_46.length<2||','_45[_45.length-','1',']!=_46[_46.length-','1]||',1230,'2',1232,'2]){this.','DomainWarning','();return;}var _47=',1230,'2]+"."+',1230,'1];for(var i=3;i<=_45.length&&i<=_46',449,1230,'i',1232,'i]){break;}_47=',1230,'i]+"."+_47;}',6,15,588,'_47;this.',644,'=1;},',1238,336,'alert("In order for jsMath to be able to load the additional "+"components that it may need, the ',6,'js file must be "+"',7,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',23,'displayed here may not appear correctly.");},','EncodeFont',263,'_49',8,'_4a=',6,'TeX[_49];if(_4a[0].c!=null',521,889,'128;k++){var _4c=_4a[k];_4a[k]=_4c[3];if(_4a[k]==null){_4a[k]={};}_4a[k].w=_4c[0];_4a[k].h=_4c[1];if(_4c[2]!=null){_4a[k].d=_4c[2];}_4a[k].c=',6,'TeX.encoding[k];}},Fonts',336,447,6,'TeX.fam',1148,'_4e=',6,1281,'[i];if(_4e',272,1266,'(_4e);}}},TeXfont',263,'_4f',8,'_50=',6,'TeX[_4f];if(_50==null',521,'var WH=',6,419,'=\\""+_4f+"\\">"+_50[65','].c+"</span>");','_50.hd=WH.h;_50.dh=0.05;_50.d=',6,419,'=\\""+_4f+"\\">"+_50[65].c+',6,389,'_50.hd)+"</span>").h-_50.hd;_50.h=_50.hd-_50.d;','if(_4f=="',110,'"){_50.skewchar=','127;}',27,1309,114,1311,'48;}}},',417,336,447,6,1281,449,6,1281,'[i]){this.TeXfont(',6,1281,'[i]);}}},Sizes',336,6,'TeXparams','=[];for(var j=0;j<',6,'sizes.length;j++){',6,1332,'[j]={};}',1081,6,'TeX){',706,6,'TeX[i])!="object"){for(var j=0;j<',6,'sizes.length;j++){',6,1332,'[j][i]=',6,'sizes[j]*',6,'TeX[i]/100;}}}},Styles',263,'_56){',0,'_56){_56=',6,'styles;_56[".typeset .scale"]="font-size:"+',6,515,'.scale+"%";this.stylesReady=1;}',6,655,'this,"','AddStyleSheet','",_56);if(',6,323,'styleChangeDelay','){',6,655,6,'Script,"Delay",1);}},',1366,263,'_57',8,'_58=',6,15,1144,'head")[0];var _59="";for(var id in _57){_59+=id+" {"+_57[id]+"}\\n";}if(',6,15,'createStyleSheet){_58.insertAdjacentHTML("beforeEnd","<span',' style=\\"','display:none\\">x</span>"+"<style type=\\"text/css\\">"+_59+"</style>");}',27,'var _5b=',6,15,21,'("style");_5b.type="text/css";_5b',784,6,15,932,'(_59));_58',784,'_5b);}},Body',336,'if(this.inited',521,'this.inited=-','1;',6,346,'Hidden();',1406,'2;',6,323,956,1406,'3;if(',6,515,'.blank){',6,661,'.Blank();}',1406,'4;',6,346,'Styles();',1406,'5;',6,507,956,1406,'6;',6,655,6,'Setup,"User","pre-font");',1406,'7;',6,655,6,'Font,"Check");if(',6,'Font.register.length){',6,655,6,'Font,"LoadRegistered");}this.inited=1;},User',263,'_5c){}};',6,'Update={',417,263,'_5d){for(var ','_5e in ',1458,'_5f in _5d[_5e]){for(var id in _5d[_5e][_5f]){',6,'TeX[_5e][_5f][id]=_5d[_5e][_5f][id];}}}},TeXfontCodes',263,'_61){for(var _62 in _61){',447,'_61[_62].length;i++){',6,'TeX[_62][i].c=_61[_62][i];}}}};',6,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",','msieSpaceFix',':"",imgScale:1,renameOK:1,',1370,':0,delay:1,version:0,','TestSpanHeight',336,6,273,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',363,'></span>";var ','_64=',6,'hidden.firstChild;','var img=_64.firstChild;','this.spanHeightVaries','=(_64',279,'>=img',279,'&&_64',279,'>0);','this.spanHeightTooBig','=(_64',279,'>img',279,');',6,273,'="";},','TestInlineBlock',336,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',6,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if','(',1516,'){',6,'styles[".typeset .','blank"]=',6,1525,'blank','"].replace(/',145,'/,',1514,');',6,1525,150,'"]=',6,1525,150,1530,145,'/,"");}',27,1514,'="',145,'";',1516,'=',6,1519,1520,'(!',1516,580,1514,'+=";',147,'";var h=',6,269,'("x").h;this.mozInlineBlockBug=',6,1519,'height:"+h+"px;width:1px',363,'>x"+"<',1486,1567,';vertical-align:-"+h+"px',363,'>").h>2*h;this.widthAddsBorder=',6,1519,147,';height:1px;width:10px',';border-left:','10px solid',363,'>").w>10;','this.msieBorderBug','=',6,1519,1567,363,'>x").h!=',6,1519,1567,1579,141,363,'>x").h;this.blankWidthBug=',1583,'||',6,1519,1487,'0px',363,'>").h==0;},','TestRenameOK',336,6,273,1484,1490,'_67=',6,1493,'_67.setAttribute("name","','jsMath_test','");this.renameOK=(',6,15,'getElementsByName("',1615,'").length>0);',6,273,1511,'TestStyleChange',336,6,273,1484,' ID=\\"',1615,'\\">x</span>";var _68=',6,1493,'var w=_68',276,';',6,346,1366,'({"#',1615,180,'200%"});this.',1370,'=(_68',276,'==w);',6,273,1511,'VersionAtLeast',263,'v',8,'bv',1176,'this.version',').split(".");','v',1176,'v',1659,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',336,6,25,'="unknown";this.',1512,428,1480,428,1605,428,1625,428,'MSIE',428,'Mozilla',428,'Opera',428,'OmniWeb',428,'Safari',428,'Konqueror','();if(','this.allowAbsoluteDelim','){',6,'Box.DelimExtend=',6,'Box.DelimExtendAbsolute;',6,'Box.Layout=',6,'Box.LayoutAbsolute;}',27,6,'Box.DelimExtend=',6,'Box.DelimExtendRelative;',6,'Box.Layout=',6,'Box.LayoutRelative;}if(','this.separateSkips','){',6,'HTML.Place=',6,'HTML.','PlaceSeparateSkips',';',6,'Typeset.prototype.','Place=',6,1717,1714,';}},MSIE',336,'if(',1495,'&&!',1503,'){',6,25,'="MSIE";',519,'platform','=="Win32"){',1689,'=1;',1708,'=1',';this.buttonCheck=1;this.',1049,'=1;this.msieDivWidthBug=1;this.',1043,788,'msieIntegralBug',788,'waitForImages',788,'msieAlphaBug',788,'alphaPrintBug',788,1472,'="position:relative; ";this.',1474,'=" ',145,';";this.',1476,1484,1388,145,363,'>";',6,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',6,1525,'arial"]="font-family: \'Arial ','unicode',' MS\'";',6,'styles["#jsMath_message','"]=',6,1772,1530,154,'/,"',205,'").',1155,166,'/,"");',6,'styles["#jsMath_panel','"]=',6,1785,1530,154,'/,"',205,'").',1155,166,1783,6,'styles["#jsMath_button','"]="width:','1px; "+',6,1798,1530,154,'/,"',205,'").',1155,166,1783,6,1,'.onscroll=',6,507,'MoveButton;',6,1525,150,'"]=',6,1525,150,1530,145,1783,'if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1828,'!=',1830,272,'imgScale*=',1830,'/',1828,';',6,515,'.alpha=0;}this.',324,'="<i>x</i>";',6,'EmBoxFor=',6,304,';}',27,519,1733,'=="MacPPC"){this.msieAbsoluteBug',788,'msieButtonBug',1741,1049,'=1;',6,'Setup.Script("jsMath-','msie-mac.js");',6,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',6,1785,1799,'42em; "+',6,1785,1530,166,1783,6,515,'.printwarn','=0;}}',6,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},Mozilla',336,'if(',6,275,'.ATTRIBUTE_NODE){',6,25,'="Mozilla";',519,1733,'=="Win32"){this.alphaPrintBug=1;}',1689,'=1;',6,1798,'"]=',6,1798,1530,199,'/,"cursor:pointer");',6,'styles["#jsMath_noFont .link','"]=',6,1903,1530,199,'/,"cursor:pointer");',6,1879,'/}}");',519,'vendor=="Firefox"){',1658,'=',1222,'vendorSub;}',27,519,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1658,'=RegExp.$1;}}}},',1683,336,519,'accentColorName){',6,25,'="',1683,'";','this.allowAbsolute','=',1516,';',1689,'=',1934,';this.valignBug=!',1934,1739,963,'=1;',6,'noChangeGlobal=1;',0,1516,'){',6,1861,'old-browsers.js','");}}},Opera',336,'if(',1503,'){',6,25,'="Opera";var _6c=',1222,1921,'("Opera 7");',1934,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_6c){',6,1861,1953,'");}}},Safari',336,519,'appVersion.match(/Safari\\//)){',6,25,'="Safari";var _6d=',1222,1921,'("Safari/([0-9]+)");_6d=(_6d)?_6d[1]:400;',447,6,1281,449,6,1281,'[i]&&',6,'TeX[',6,1281,'[i]]){',6,'TeX[',6,1281,'[i]].dh=0.1;}}',6,'TeX.axis_height+=0.05;',6,'TeX.default_rule_thickness+=0.025;',1689,'=_6d>=125;this.safariIFRAMEbug=_6d>=312&&_6d<412;this.safariButtonBug=_6d<412;this.safariImgBug',788,963,'=1',1739,1370,'=1;}},',1687,336,519,'product&&',1222,'product.match("',1687,'")){',6,25,'="',1687,'";',1934,'=0;',1689,'=0;',519,1921,'(/',1687,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1708,788,'valignBug=1;',6,1861,1953,'");}}}}};',6,'Font={fallback:"symbol",register:[],message:"<b>No jsMath TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',363,'></b><br/>"+"Using',2040,'.  This',2042,'print_message:"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message:"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of',2050,'Test1',263,'_6f,n,_71,_72','){if(n==null){n=124;}if(','_71==null){_71=2;}if(_72==null){_72="";}var wh1=',6,'BBoxFor("<span style=\\"font-family',': "+_72+_6f+", serif\\">"+',6,'TeX[_6f][n',1301,'var wh2=',6,2059,': serif\\">"+',6,'TeX[_6f][n',1301,'return (wh1.w>_71*wh2','.w&&wh1.h!=0);},','Test2',263,'_75,n,_77,_78',2056,'_77==null){_77=2;}if(_78==null){_78="";}var wh1=',6,2059,': "+_78+_75+", serif\\">"+',6,'TeX[_75][n',1301,'var wh2=',6,2059,': serif\\">"+',6,'TeX[_75][n',1301,'return (wh2.w>_77*wh1',2072,'CheckTeX',336,'var wh=',6,2059,': jsMath-',118,96,'\\">"+',6,430,'1',1301,6,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"jsMath-"));if(',6,'nofonts&&(',1222,1733,'!="MacPPC"||',6,25,'!="Mozilla"||!',6,323,1652,'(1.5))){wh=',6,2059,': ',118,96,'\\">"+',6,430,'1',1301,6,2107,'"));',0,6,'nofonts){',6,1861,'BaKoMa-fonts.js");}}},Check',336,'var _7c=',6,515,';this.CheckTeX();if(',6,2136,'if(_7c.autofont','||_7c.font=="tex"){_7c.font=this.fallback;if(_7c.warn){',6,'nofontMessage=1;_7c.warn=0;',6,507,542,'0);if(',6,1,'.NoFontMessage','){',6,1,2157,'();}',27,'this.',661,'(',914,');}}}}',27,2147,'){_7c.font="','tex','";}if(_7c.font=="','tex"){return;}}if(',6,'noImgFonts',2171,1769,2173,1769,'"){var _7d=({Win32:"pc",MacPPC:"mac"})[',1222,1733,']||"unix";',6,1861,'fallback-"+_7d+".js");',6,'Box.TeXnonfallback=',6,'Box.TeX;',6,'Box.TeX=',6,'Box.TeXfallback;return;}',0,'_7c.print&&_7c',1876,272,'Pr'],
  ['intMessage((','jsMath.','Browser.','alphaPrintBug&&',1,'Controls.cookie.','alpha)?','this.print_message','+this.alpha_message:',7,');}if(',1,2,'waitForImages){',1,'Script','.Push(',1,15,',"WaitForImage",',1,'blank);}if(_7c.','font=="','symbol"){',1,'Setup.',15,'("jsMath-fallback-symbols.js");',1,'Box.TeXnonfallback=',1,'Box.TeX',';',1,31,'=',1,'Box.TeXfallback;','return;}',1,'Img.SetFont','({cmr10',':["all"],','cmmi10',42,'cmsy10',42,'cmex10',42,'cmbx10',42,'cmti10:["all"]});',1,'Img.LoadFont','("cm-fonts");},Message',':function(','_7e','){if(',1,'Element("','Warning")){','return;}var ','div=',1,25,'DIV("','Warning','",{});div.innerHTML="<center><table><tr><td>"+"<div ','id=\\"jsMath_noFont\\"><div ','class=\\"message\\">"+','_7e+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',1,'Controls.Panel','()\\" title=\\" ','Open the ','jsMath Control Panel',' \\" class=\\"link\\">',75,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',1,'Font.','HideMessage',73,'Remove this font warning message',76,'Hide this Message',78,'></div><div style=\\"height:6px\\"></div><br clear=\\"all\\"/></div></','div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},',82,':function(){','var _80=',1,59,66,'");if(_80){_80','.style.display="none";}},','PrintMessage',55,'_81',57,1,59,'PrintWarning','")){',61,'div=',1,25,65,104,67,69,'_81+"</',89,'Register',55,'_83,_84',57,'typeof (_83)=="string"){_83={name:_83};}if(!',1,25,'inited&&!_84){','this.register','[',124,'.length]=_83;',61,'_85=_83.name;var _86=_85.replace(/10$/,"");var _87=',1,'TeX.fam.length;if(','_83.prefix','==null){',132,'="";}if(!_83.style){_83.style="font-family: "+',132,'+_85+", serif";}if(!','_83.styles','){',138,'={};}','if(!','_83.macros','){',143,141,1,'TeX.fam[_87]=_85;',1,'TeX.famName[_85]=_87;',143,'[_86]=["HandleFont",_87];',1,'Add(',1,'Parser.prototype.macros,',143,');',138,'[".typeset ."+_85]=_83.style;',1,25,'Styles(',138,');if(',1,'initialized){',1,15,'.Push(',1,'Setup,"TeXfont",_85);}var _88=!',1,'nofonts&&_83.test(_85,_83.testChar,_83.testFactor,',132,165,'_88&&',1,5,22,'tex"){if(_83.tex){_83.tex(_85,_87,_83);}',38,'if(!_88&&',1,5,'warn&&',1,5,22,'tex"&&!',1,'nofonts){if(!',1,59,60,'this.Message(this.extra_message);}var _89=',1,59,'ExtraFonts");if(_89',57,'_89.innerHTML','!=""){',201,'+=",";}',201,'+=" "+',132,'+_85;}}if(',1,5,22,'unicode"){if(_83.fallback){_83.fallback(_85,_87,_83);}',61,'_8a={};_8a[_85]=["all"];',1,40,'(_8a);',1,53,'(_85',165,1,'initialized){',1,15,'.Push(',1,'Img,"Scale");',1,15,'.Push(',1,'Img,"UpdateFonts");}},LoadRegistered',91,'var i=0;while(i<',124,'.length){this.',116,'(',124,'[i++],1);}',124,'=[];},Load',55,'_8c){',1,25,15,'(this.URL(_8c));},URL',55,'_8d){return ',1,'Img.root+_8d+"/def.js";}};',1,'Controls','={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',91,'this.panel=',1,25,65,'panel",{display:"none"});if(!',1,2,'msieButtonBug){this.Button();}else{setTimeout("',1,255,'.Button()",500);}},Panel',91,1,'Translate.Cancel();if(','this.loaded','){this.Main();}else{',1,15,'.delayedLoad(',1,'root+"jsMath-controls.html");}},Button',91,'var _8e=',1,25,65,'button",{});_8e.title=" Open ',75,' ";_8e.innerHTML="<span onclick=\\"',1,72,'()\\">jsMath</span>";if(!',1,'Global.','isLocal&&!',1,'noShowGlobal){_8e.innerHTML+="<span id=\\"jsMath_global\\" title=\\" Open jsMath Global Panel \\" "+"onclick=\\"',1,293,'Show(1)\\">Global&nbsp;</span>";}if(_8e.offsetWidth<30){_8e.style.width="auto";}if(!','this.cookie','.button){_8e',97,'MoveButton',91,'if(!this.button){this.button=',1,59,'button");}','this.button.style.visibility="','hidden";',309,'visible";},GetCookie',91,'if(','this.defaults',133,315,141,1,154,315,',',300,');this.userSet={};var _8f=',1,'document.cookie',';if(',1,'window.location','.protocol.match(this.',257,')){_8f=this.','localGetCookie','();','this.isLocalCookie','=1;}if(_8f.match(/jsMath=([^;]+)/)){var _90=RegExp.$1.split(/,/);for(var i=0;i<_90.length;i++){var x=_90[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',300,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},',333,91,'return unescape(',1,329,'.search.substr(1));},SetCookie',55,'_93){var _94=[];','for(var id in ',300,57,315,'[id]==null||',300,'[id]!=',315,'[id]){_94[_94.length]=id+":"+',300,'[id];}}_94=_94.join(",");if(',335,57,'_93==2){return "','jsMath="+escape(','_94);}this.','localSetCookie','(_94,_93);}else{if(_94==""){_93=0;}if(','this.cookiePath','){_94+="; ','path="+',365,';}if(','this.cookieDomain',366,'domain="+',370,';}if(',300,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',377,'*7,M',377,'*30,Y',377,'*365};var exp=new Date;exp.setTime(exp.getTime()+',300,'.keep.substr(','0,1)*ms[',300,386,'1,1)]);_94+="; expires="+exp.toGMTString();}if(_94',202,1,326,'="jsMath="+_94;var _98=',1,326,';if(_93&&!_98.match(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options");}}}return null;},',363,55,'_99,_9a){if(!_9a){',61,'_9b=String(',1,329,').replace(/\\?.*/,"");if(_99',202,'_9b+="?',361,'_99);}if(_9b!=',1,329,'.href){this.Reload(_9b);}},Reload',55,'url){if(!',274,'){',38,274,'=0;',1,293,'ClearCache();if(url){',1,329,'.replace(url);}else{',1,329,'.reload();}}};',1,'Click={CheckClick',55,'_9d){if(!_9d){_9d=',1,'window.event;}if','(_9d.altKey){',1,72,'();}},CheckDblClick',55,'_9e){if(!_9e){_9e=',1,434,'(!',1,'Click.DblClick){',1,'Extension.Require("double-click",1);var _9f=_9e;_9e={};',347,'_9f){_9e[id]=_9f[id];}}',1,15,'.Push(',1,'Click,"DblClick",[_9e,this.alt]);}};',1,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',457,'778',457,'694',457,'667',457,'75',457,'722',457,'778',457,'722',457,'778',457,'722',457,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',483,'833',483,'833',483,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',483,'5',483,'5,0.628],[0.5',483,'5,0.568],[0.75',483,'444,0,0.17],[0.5',483,'722',491,'778',491,'5,0.528,0.0972],[0.903,0.683],[1.01',457,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',511,',0.694,0,{lig:{"96":','60}}],[0.5',483,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',522,'778',483,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',532,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',493,'333',512,'lig:{"45":','123}}],[',537,'],[0.5',532,'5,0.644','],[0.5,0.644],[0.5,0.','644',547,'644',547,'644',547,'644],[0.5,0.644],[',511,491,'278,0.431',493,'278,0.5',493,'778',',0.367,-0.133],[','0.472,0.5',493,'472',516,'62}}],[0.778',483,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',572,'79',572,'71',572,'85',572,'81',572,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',457,'722',457,'764',570,'88',572,'87',572,'65',572,'86',572,'89":-','0.0278}}],[0.','681',457,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',457,'75',457,'361',570,'73":',599,'514',457,'778',570,'79',572,'67',572,'71',572,'81":-',599,'625',570,583,'917',457,'75',457,'778',570,'88',572,'87',572,'65',572,'86',572,'89":-',599,'681',570,'65','":-0.0833,"','111',572,'101',572,'97',572,'46',647,'44":-0.','0833}}],[0.','778,0.683',493,'736',570,'116',572,'67',572,'79',572,'71',572,'85',572,'81',572,583,'556',457,'722',570,'121',572,'101',647,'111',647,'114',647,'97',647,'65',647,'117":-0.',657,'75',457,'75',',0.683,0,{ic:0.','0139,',604,'1.03',696,'0139,',604,'0.75',570,'79',572,'67',572,'71',572,'81":-',599,'75',696,'025,krn:{"101',647,'111',647,'114',647,'97',647,'65',647,691,657,'611',457,'278',532,'5',483,'278',532,'5',483,'278,0.668],[0.','278',516,'92}}],[0.5',512,'krn:{"118',572,'106":0.0556,"121',572,'119":-',599,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',512,'krn:{"104',572,'107":-',599,'556',483,'444',491,'306',479,480,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',599,'556',528,'116',572,'117',572,'98',572,'121',572,'118',572,'119":-',599,737,'306,0.668',493,'528',528,'97','":-0.0556,"','101',572,'97',572,'111',572,'99":-',599,'278',483,'833',512,'krn:{"116',572,'117',572,'98',572,'121',572,'118',572,'119":-',599,'556',512,'krn:{"116',572,'117',572,'98',572,'121',572,'118',572,'119":-',599,'5,0.431',',0',750,748,'431,0.194',750,'528,0.431',493,'392',491,'394',491,'389,0.615,0,{krn:{"121',572,'119":-',599,'556',512,'krn:{"119":-',599,'528',',0.431,0,{ic:0.',767,'97',790,'101',572,'97',572,'111',572,'99":-',599,'722',850,767,'101',572,'97',572,'111',572,'99":-',599,'528',491,'528',765,'ic:0.',767,'111',572,'101',572,'97',572,'46',647,'44":-0.',657,'444',491,'5',850,'0278,',541,'124}}],[1',850,'0278}],[0.','5',483,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',696,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',657,'833',570,'127":0.167}}],[0.','763',696,893,'krn:{"127":0.0833}}],[0.','694',570,907,'742',696,'0757,',911,'831',696,'0812,krn:{"61',790,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',696,'0576,',911,'583',696,'139',903,924,'667',603,911,'612',696,'11,krn:{"61',790,923,924,'772',696,'0502,',911,'64',850,'0037,','krn:{"127":',599,'566',',0.694,0.194,{ic:0.','0528,',911,'518',765,'ic:0.0556}],[0.444',479,'0378,krn:{"',923,924,'406',512,'krn:{"127":0.0556}}],[0.','438',953,'0738,',911,'497',765,'ic:0.0359',',',965,'469',479,893,911,'354',512,965,'576',491,'583',483,'603',765,950,599,'494',850,'0637,krn:{"',923,'0278}}],[0.','438',953,'046,',950,'0.111}}],[0.','57',850,'0359}],[0.','517',765,911,'571',850,'0359,krn:{"59',790,'58":-0.',924,'437',850,'113,krn:{"',923,994,'54',850,'0359,',950,599,'596,0.694,0.194,{',911,'626',765,965,'651',953,'0359,',950,999,'622',850,1002,'466',512,911,'591',',0.694,0,{',911,'828',850,897,'517',765,911,'363,0.431,0.0972,{ic:0.0799,',911,'654',765,950,'0.0833}}],[1',562,'1',562,'1',562,'1',562,511,',0.464,-0.0363],[',511,1061,'0.5,0.465,-0.0347],[',1064,'0.5',491,'5',491,'5',491,829,493,829,493,829,',0.194',547,833,547,'431',493,'278,0.106],[',537,493,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',790,'65',790,'77',790,'78',790,'89":0.0556,"90":-0.',924,'778',1087,1064,'0.531',479,'0556,',911,'75',570,'127":','0.','139}}],[0.','759',696,'0502,',911,'715',696,'0715,krn:{"61',572,923,657,'828',696,893,965,'738',696,'0576,',911,'643',696,'139',903,657,'786',603,911,'831',696,'0812,krn:{"61',790,923,924,'44',696,'0785,',950,999,'555',696,'0962',903,'167}}],[0.','849',696,'0715,krn:{"61',790,923,924,'681',570,1107,599,'97',696,'109,krn:{"','61',790,923,657,'803',696,1164,'61',647,'61',572,923,657,'763',696,893,911,'642',696,'139',903,657,'791,0.683,0.194,{',911,'759',696,'00773,',911,'613',696,'0576,krn:{"61',790,923,657,'584',696,'139,krn:{"61',572,923,657,'683',696,1164,'59":-0.111,"',1010,'111,"61',790,1107,599,'583',696,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',696,'139',1217,'828',696,'0785,krn:{"61',647,'61',572,923,657,'581',696,'222',1217,'683',696,'0715,krn:{"61',790,923,657,'389,0.75],[0.389',520,'0.389',520,'1,0.358,-0.142],[',1244,'0.417',1039,950,999,'529',491,'429',483,'433',512,965,'52',528,'89":0.0556,"90',790,'106":-0.111,"102":-0.167,"',907,'466',512,965,'49',953,'108,krn:{"',923,1151,'477',765,972,',',950,599,'576',528,'127":-',599,'345,0.66],[0.412,0.66',',0.194,{ic:0.','0572,krn:{"59',790,1010,924,'521',479,'0315}],[0.298',479,'0197,',911,'878',491,'6',491,'485',512,965,'503',765,911,'446',765,972,',',911,'451',850,893,'krn:{"',923,924,'469',512,965,'361,0.615,0,{',911,'572',512,950,599,'485',850,'0359,',950,599,'716',850,'0269,',911,'572',512,950,599,'49',765,972,',',965,'465',850,'044,',965,'322',512,950,599,'384',765,911,'636',765,950,999,'5,0.714,0,{ic:0.154}],[',511,479,'399}]],cmsy10:[[',536,511,',0.444,-0.0556],[',536,1064,536,'0.5,0.444,-0.0556],[',536,536,536,536,536,536,536,'1',520,1366,1366,'0.778',1061,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1381,1381,1381,1381,1381,'],[0.778',562,'0.778,0.483,-0.0169],[0.778',1087,'0.778',1087,'1',1087,'1',1087,'0.778',1087,'0.778',1087,'1',562,'1',562,'0.5',520,'0.5',520,'1',562,'1',520,'1',520,'0.778',1061,'1',562,'1',562,'0.611',520,'0.611',520,'1',562,'1',520,'1',520,'0.778',491,'275,0.556],[1',491,'667',1087,'0.667',1087,'0.889',520,'0.889',520,'0',520,'0',562,'0.556',483,'556',483,'667',491,'5',522,'722',483,'722',483,'778',483,'778',483,'611',483,'798',570,'48":0.','194}}],[0.657',696,'0304',',krn:{"48":0.',1109,'527',696,'0583',1471,1109,'771',696,'0278',1471,657,'528',696,'0894',1471,'111}}],[0.','719',696,'0993',1471,1487,'595',',0.683,0.0972,{ic:0.','0593',1471,1487,'845',696,'00965',1471,1487,'545',696,'0738,krn:{"48":',599,'678',1494,'185',1471,1151,'762',696,'0144',1471,924,'69',570,1467,'139}}],[1.2',570,1467,1109,'82',696,'147',1471,657,'796',696,1480,1471,1487,'696',696,'0822',1471,657,'817,0.683,0.0972,{krn:{"48":',999,'848',570,1467,657,'606',696,'075',1471,1109,'545',696,'254,krn:{"48":',599,'626',696,'0993',1471,657,'613',696,'0822,krn:{"48":',599,'988',696,'0822',1471,657,'713',696,'146',1471,1109,'668',1494,'0822',1471,657,'725',696,'0794',1471,1109,'667,0.556],[0.',1583,1583,1583,1583,'611',483,'611',483,'444',532,'444',532,'444',532,'444',532,'5',532,'5',532,'389',532,'389',532,'278',532,'5',532,'5',532,'611',532,'5',532,'278',520,'0.833,0.04,0.96],[0.75',457,'833',457,'417',953,'111}],[0.',1583,'667,0.556',1381,1381,'],[0.444',520,'0.444',520,'0.444',520,'0.611',520,'0.778,0.694,0.13','],[',1639,'],[',1639,'],[',1639,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1647,'17}],[0.417',1647,'104}],[0.417',1647,'105}],[0.','472',1647,'106}],[0.472',1647,'107}],[0.472',1647,'108}],[0.472',1647,'109}],[0.583',1647,'110}],[0.583',1647,1626,'472',1647,'68}],[0.472',1647,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1673,'rep:13}}],[0.578',1647,'46}],[0.578',1647,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1681,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1685,'33}],[0.528',1685,'34}],[0.528',1685,'35}],[0.583',1685,'36}],[0.583',1685,'37}],[0.583',1685,'38}],[0.583',1685,'39}],[0.75',1685,'40}],[0.75',1685,'41}],[0.75',1685,'42}],[0.75',1685,'43}],[1.04',1685,'44}],[1.04',1685,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1713,'49}],[0.583',1713,'50}],[0.583',1713,'51}],[0.639',1713,'52}],[0.639',1713,'53}],[0.639',1713,'54}],[0.639',1713,'55}],[0.806',1713,'56}],[0.806',1713,'57}],[0.806',',0.04,2.96],[','0.806',1733,'1.28',1733,'1.28',1733,'0.811',1681,'n:30}],[0.811',1681,'n:31}],[0.875',1681,'delim:{top:','48,bot:64,rep:66}}],[0.875',1681,1746,'49,bot:65,','rep:67}}],[0.','667',1681,1746,'50,bot:52,rep:54}}],[0.667',1681,1746,'51,bot:53,rep:55}}],[0.667',1681,'delim:{bot:','52,rep:54}}],[0.667',1681,1760,'53,rep:55}}],[0.667',1673,'top:50,rep:54}}],[0.667',1673,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1769,'57,mid:61,bot:59,rep:62',1769,'56,bot:58,rep:62',1769,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1777,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1673,'top:120,','bot:121,rep:63}}],[0.','875',1681,1746,'56,bot:59,',1781,'875',1681,1746,'57,bot:58,',1781,'875',1673,'rep:66}}],[0.875',1673,1751,'611',1681,'n:28}],[0.611',1681,'n:29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1813,',1,{n:79}],[1.51',1808,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1809,'90',1806,'91',1806,'92',1806,'93',1806,'94',1806,'95}],[1.44',1808,'1.28',1808,1811,1813,1813,1813,1813,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1808,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1841,'102',1843,'103}],[1.44,0.75],[0.472',1681,'n:20}],[0.472',1681,'n:21}],[0.528',1681,'n:22}],[0.528',1681,'n:23}],[0.528',1681,'n:24}],[0.528',1681,'n:25}],[0.667',1681,'n:26}],[0.667',1681,'n:27}],[1',1647,'113}],[1',1681,'n:114}],[1',1685,'115}],[1',1713,'116}],[1.06,0,1.8,{',1746,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1673,'top:126,','bot:127,rep:119','}}],[0.667',1673,1784,'rep:63}}],[0.667',1673,1785,'45,0.12],[0.',1884,1884,1884,'778',1673,1876,'rep:119}}],[0.778',1673,1877,'}}]],cmti10:[[0.627',696,'133}],[0.818',457,'767',696,'094}],[0.692',457,'664',696,'153}],[0.743',696,'164}],[0.','716',696,'12}],[0.','767',696,1626,'716',696,'0599}],[0.767',696,1626,'716',696,'103}],[0.','613',953,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',481,'562',953,1920,'588',953,1920,'882',953,1920,'894',953,1920,'307',850,'0767}],[0.332',765,'ic:0.0374}],[0.511',483,'511',479,'0969','}],[0.511,0.','628,0,{ic:0.083}],[0.511',479,'108',1946,'562,0,{ic:0.',1920,'831',483,'46,0,0.17],[0.537',953,1654,'716',850,'0751}],[0.716',850,'0751',1946,'528,0.0972,{ic:0.0919}],[0.883',696,1909,'985',696,1909,'767,0.732,0.0486,{ic:0.094}],[0.256',512,513,'256,"76":-0.321}}],[0.307',479,'124,lig:{"96":60}}],[0.514',479,'0696}],[0.818',953,'0662}],[0.769',483,'818,0.75,0.0556',',{ic:0.136}],[0.','767',479,'0969}],[0.307',479,'124,krn:{"63":0.102,"33":0.102',530,'409',',0.75,0.25,{ic:0.162}],[0.','409,0.75,0.25,{ic:0.0369',1946,'75,0,{ic:0.149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',493,'358',850,'0283,',541,'123}}],[0.307,0.106],[0.511',1990,'511,0.644,0',',{ic:0.136}],[0.511,0.644,0',2002,2002,2002,'.194',2002,2002,2002,'.194',2002,2002,1982,'307',850,'0582}],[0.307',765,'ic:0.0582}],[0.307,0.5',1282,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1946,'5',493,'511',479,'122,lig:{"96":62}}],[0.767',479,'096}],[0.743',603,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"','84":-0.0767,"89":-0.0767,"86":-0.102,"87":-0.102,"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',696,1920,'716',696,'145}],[0.755',696,'094,krn:{"88','":-0.0256,"','87',2041,'65',2041,'86',2041,'89','":-0.0256}}],[0.','678',696,1909,'653',696,'133,krn:{"111','":-0.0767,"','101',2056,691,'0767,"114',2056,'97',2056,'65":-0.102,"','79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',696,'0872}],[0.743',696,1906,'386',696,'158}],[0.525',696,'14}],[0.769',696,'145,krn:{"',2065,'627',570,2032,'897',696,1906,'743',696,1906,'767',696,'094,krn:{"88',2041,'87',2041,'65',2041,'86',2041,'89',2049,'678',696,'103,krn:{"65":-0.0767}}],[0.767,0.683',1282,'094}],[0.729',696,'0387,',2030,'0.0256,"84":-0.0767,"89":-0.0767,"86":-0.102,"87":-0.102,"101":-0'],
  ['.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','562,0.683',',0,{ic:0.','12}],[0.','716,0.683',2,'133',',krn:{"','121','":-0.0767,"','101":-0.0767,"111":-0.0767,"114":-0.0767,"97":-0.0767,"117":-0.0767,"65":-0.0767}}],[0.','743,0.683',2,'164}],[0.743,0.683',2,'184',7,'111',9,'101',9,'117',9,'114',9,'97',9,'65":-0.','102,"','79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','999,0.683',2,'184',7,27,'0767','}}],[0.743,0.683',2,'158',7,29,'743,0.683',2,'194',7,10,'613,0.683',2,'145','}],[0.307,0.','75,0.25',',{ic:0.','188}],[0.514',',0.694',2,'169',49,50,51,'105','}],[0.511,0.','694',2,'0665',49,'668',2,'118',49,'694',2,'124,lig:{"96":92}}],[0.511,0.431',2,'0767}],[0.','46',53,2,'0631',7,'101":-0',0,'46,0.431',2,'0565',7,'101":-0',0,'511',53,2,'103',',krn:{"108":0.0511}}],[0.','46,0.431',2,'0751',7,'101":-0',0,'307',53,',0.194,{ic:0.','212',7,'39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.','46',',0.431,0.194,{ic:0.0885}],[0.','511',53,2,35,49,'655',2,'102',49,'655',100,'145}],[0.46',53,2,'108}],[0.','256',53,2,'103',91,'818,0.431',2,73,'562,0.431',2,35,7,'39":-0.102}}],[0.511,0.431',2,'0631',7,'101":-0',0,'511,0.431',100,'0631',7,'101":-0',0,'46',106,'422,0.431',2,'108',7,'101":-0',0,'409,0.431',2,'0821}],[0.332,0.615',2,'0949}],[0.537,0.431',2,73,'46,0.431',2,121,'664,0.431',2,'108',91,'464,0.431',2,3,'486',106,'409,0.431',2,'123',60,'431',2,'0921',',lig:{"45":124}}],[1.','02,0.431',2,179,60,'694',2,'122',60,'668',2,'116',60,'668',2,'105}]],cmbx10:[[0.692',',0.686],[0.','958',196,'894',196,'806',196,'767',196,'9',196,'831',196,'894',196,'831',196,'894',196,'831',196,'671',53,2,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',222,'958',222,'958',222,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',233,'694',233,'632',233,'694',233,'596],[0.869',222,'511,0,0.17],[0.597',222,'831',230,'894,0.444',233,'542,0.0972],[1.04,0.686],[1.17',196,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',222,'958',53,',0.194',233,'75,0.0556],[0.','958,0.',262,'894',222,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447,0.',50,'],[0.447,0.',50,233,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383,0.444,0,{lig:{"45":123}}],[',275,233,50,233,'644',233,'644',233,'644',233,'644',233,'644',233,'644',233,'644',233,'644',233,'644',233,'644],[0.319',230,'319',232,'],[0.35,0.5',276,'894,0.391,-0.109],[0.543,0.5',276,'543',255,'62}}],[0.894',222,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',315,'79',315,'71',315,'85',315,'81',315,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',196,'831',196,'882',313,'88',315,'87',315,'65',315,'86',315,'89','":-0.0319}}],[0.','756',196,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',196,'9',196,'436',313,'73','":0.0319}}],[0.','594',196,'901',313,'79',315,'67',315,'71',315,'81',342,'692',313,326,'1.09',196,'9',196,'864',313,'88',315,'87',315,'65',315,'86',315,'89',342,'786',313,27,'0958,"111',315,'101',315,'97',315,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',276,'862',313,'116',315,'67',315,'79',315,'71',315,'85',315,'81',315,326,'0.639',196,'8',313,'121',315,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',196,'869,0.686',2,'016,',346,'1.19,0.686',2,'016,',346,'0.869',313,'79',315,'67',315,'71',315,'81',342,'869,0.686',2,'0287',7,419,'703',196,'319,0.',50,'],[0.603',222,447,50,233,'694],[0.319',222,'319',255,'92}}],[0.559',253,'118',315,'106":0.0639,"121',315,'119',342,'639',53,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',253,'104',315,'107',342,'639',222,'527',230,'351',53,2,220,104,'575',232,51,'016',7,'106',354,'639',268,'116',315,'117',315,'98',315,'121',315,'118',315,'119',342,'319',222,'351',53,276,'607',268,'97":-0.0639,"101',315,'97',315,'111',315,'99',342,'319',222,'958',253,'116',315,'117',315,'98',315,'121',315,'118',315,'119',342,'639',253,'116',315,'117',315,'98',315,'121',315,'118',315,'119',342,'575,0.444,0',469,'639',232,469,'607',232,'],[0.474',230,'454',230,'447,0.635,0,{krn:{"121',315,'119',342,'639',253,'119',342,'607,0.444',2,'016',7,'97":-0.0639,"101',315,'97',315,'111',315,'99',342,'831,0.444',2,'016',7,'101',315,'97',315,'111',315,'99',342,'607',230,'607',232,51,'016',7,'111',315,'101',315,'97',315,395,'511,0.444',233,'444',2,'0319',180,'15,0.444',2,'0319}],[0.575',53,233,'694',233,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_a1){for(var _a2 in _a1){if(!','this.update[_a2',']){',626,']=[];}',626,']=',626,'].concat(_a1[_a2]);}},AddFont',624,'_a3,def){if(!',622,'[_a3]){',622,'[_a3]={};}','jsMath.Add(',622,'[_a3],def);},UpdateFonts',':function(){','var _a5=this.update;','if(!this.loaded){','return;}var ','_a6=this[','jsMath.Img.fonts','[this.best]];','for(var _a7 in _a5){','for(var i=0;i<','_a5[_a7].length;i++){var c=_a5[_a7][i];if(c=="all"){for(c in ','jsMath.TeX[','_a7]){',653,'_a7][c].img','={};}}else{',653,656,'={};}}}this.update={};},BestSize',643,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',663,'i]]+2*m)/3){','return ','i-1;}m=',663,'i]];}',670,'i-1;},Scale',643,645,'return;}this.best=this.BestSize();this.em=',622,'.w[',665,649,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',683,'-1)<0.12){',683,'=1;}},URL',624,'_ad,_ae,C){var _b0=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_ae!=""){_ae+="/";}','return this.','root+_ad+_b0+_ae+C;},LoadFont',624,'_b1){',645,'this.Init();}jsMath.Setup.Script(this.URL(_b1,""));},Init',643,'if(',692,'print||',692,'stayhires','){',692,'print=',692,705,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',712,'SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',692,'alpha=0;}}var _b2="0123456789ABCDEF";this.HexCode=[];',651,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_b2.charAt(h)+_b2.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',624,'m){var n=5;if(m<0){n++;}',685,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',670,'s+"em";},Spacer',624,'w){if(w==0){return "";}',670,716,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',624,'w,h,d,_bd){var _be="";var _bf="";if(_bd){_bf+="border-',734,'w)+" solid;";if(',716,'widthAddsBorder){w=0;}}if(w==0){if(',716,'blankWidthBug){_bf+="width:1px;";_be="<',733,'right:-1px\\"></span>";}}else{_bf+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_bd&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_bf+="height:"+H+";";}if(',716,'mozInlineBlockBug){d=-h;}if(',716,'msieBorderBug&&!_bd){d-=jsMath.d;}if(d){_bf+="','vertical-align:"+','this.Em(-d);}',670,'_be+"<span class=\\"blank\\" ','style=\\""+','_bf+"\\"></span>";},Rule',624,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',694,'Blank(w,h,0,1);},Class',624,'_c3,_c4){return "<span class=\\""+_c3+"\\">"+_c4+"</span>";},Place',624,'_c5',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _c8','="<span style=\\"position',': relative',';";if(x){_c8+=" margin-',734,'x)+";";}if(y){_c8+=" ','top:"+this.Em','(-y)+";";}_c5=_c8+"\\">"+_c5','+"</span>";}',670,'_c5;},PlaceSeparateSkips',624,'_c9',764,'if(y){_c9',766,767,'; ',771,'(-y)+";"+"\\">"+_c9',773,'if(x){_c9=this.Spacer(x)+_c9',';}return ','_c9;},PlaceAbsolute',624,'_cc',764,'_cc',766,':absolute','; ',734,'x)+"; "+"',771,'(y)+";\\">"+_cc+"&nbsp;</span>";',670,'_cc;},Absolute',624,'_cf,w,h,d,y,H){if(y!="none"){',685,'y)<0.0001){y=0;}_cf',766,794,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_cf','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_cf+=this.Blank(w,h-d,d);if(',716,'msieAbsoluteBug){_cf',766,':relative',811,773,'_cf',766,816,';"+" width: "+',809,'Em(w)+";"+" height: "+',809,'Em(H)+";"+',716,'msieInlineBlockFix+"\\">"+_cf+"</span>";',670,'_cf;}};','jsMath.Box','=function(','_d5,_d6,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_d6;this.format=_d5;};',640,831,',{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',624,'_da,_db,_dc,_dd,a,d){var _e0=','jsMath.Typeset.AddClass(','_db,_da);_e0=','jsMath.Typeset.','AddStyle(','_dc,_dd,_e0);var BB','=jsMath.EmBoxFor(','_e0);var TeX=',845,'TeX(_dc,_dd);var bd=((_db=="cmsy10"||_db=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',839,'text",_da,BB.w,BB.h-bd,bd);box.style=_dc;box.size=_dd;','box.tclass','=_db;if(d','!=null){box.','d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',624,'C,_e6,_e7,_e8){var c=',653,'_e6][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_e6,C,',845,'StyleSize(_e7,_e8));}var _ea=',845,'TeX(_e7,_e8).scale;var h=c.h+',653,'_e6].dh;',852,839,'text",c.c,c.w*_ea,h*_ea,c.d*_ea);box.style=_e7;box.size=_e8;if(c.tclass){',855,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_ea*jsMath.h;box.bd=_ea*jsMath.d;}}else{',855,'=_e6;box.bh=_ea*',653,'_e6].h;box.bd=_ea*',653,'_e6].d;if(',716,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display:none\\">x</span','>";}}',861,'TeXfallback',624,'C,_ee,_ef,_f0','){var c=',653,'_ee][C];if(!c.tclass){c.tclass=_ee',871,'){',694,'TeXnonfallback(',896,');}if(c.h!=null&&c.a',869,'a=c.h-1.1*jsMath.TeX.x_height;}',852,'this.Text(c.c,c.tclass,_ef,_f0,c.a||0,c.d||0);var _f3=',845,'TeX(_ef,_f0).scale;if(c.bh',857,'bh=c.bh*_f3;box.bd=c.bd*_f3;}else{var h=box.bd+box.bh;var _f5=',843,855,',box.html);_f5=',845,846,'_ef,_f0,_f5);box.bd',848,'_f5+',809,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_f3==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',891,'>";}',861,'TeXIMG',624,'_f6,C,_f8){var c=',653,'_f6][C];if(c.img.size!=null&&c.img.size==_f8&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',646,'_fa=(',622,'.scale!=1);var id=',932,'+_f8-4;if(id<0){id=0;_fa=1;}else{if(id>=',648,'.length){','id=',648,'.length-1;_fa=1;}}var _fc=',622,'[',648,'[id]];var img=_fc[_f6][C];var _fe=1/',622,'.w[',648,'[id]];if(id!=',932,'+_f8-4){if(c.w!=null){_fe=c.w/img[0];}else{_fe*=',648,'[_f8]/',648,'[4]*',648,'[',932,']/',648,'[id];}}var w=img[0]*_fe;var h=img[1]*_fe;var d=-img[2]*_fe;var v;var _103=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',809,'Em(c.w-w)+";";var _104="";C=',622,'.HexCode[C];if(!_fa&&!',692,'scaleImg){if(2*w<h||(',716,'msieAlphaBug&&',692,'alpha)){_104="height',':"+(img[1]*',716,'imgScale',')+"px;";}_104+=" width:"+(img[0]*',716,977,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',716,'msieAlphaBug&&',692,974,':"+',809,'Em(h*',716,977,')+";";}_104+=" width:"+',809,'Em(w*',716,977,')+";";v=',809,'Em(d);}var _105=(Math.abs(d)<0.01&&!',716,'valignBug)?"":" ',750,'v+";";var URL=',622,'.URL(_f6,',648,'[id],C);if(',716,'msieAlphaBug&&',692,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',754,716,'msieCenterBugFix+_104+_105+_103','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',1011,'URL+"\\" ',754,716,1015,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_f8;c.img.best=',932,';},Space',624,'w){',670,839,'html",',809,'Spacer(w),w,0,0);},Rule',624,757,'var html=',809,'Rule(w,h);',670,839,'html",html,w',',h,0);},GetChar',624,'code,font){var c=',653,'font][code];','if(c.img!=null){this.TeXIMG(font,code',',4);}if(c.tclass',869,'tclass=font;}if(!c.computedW){c.w',848,843,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',867,'c.computedW=1',787,'c;},DelimBestFit',624,'H,c,font,','_111){if(c==0&&font','==0){return null;}','var C;var h;','font=jsMath.TeX.fam[','font];var ','isSS=(_111.charAt(1)=="S");var isS=(_111.charAt(0)=="S");while(c!=null){C=',653,'font][c];','if(C.h==null){C',1053,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,font',',"",H];}if(isSS&&0.5*h>=H',1071,',"SS",0.5*h];}if(isS&&0.7*h>=H',1071,',"S",0.7*h];}if(h>=H||C.n==null',1071,',"T",h];}c=C.n',787,'null;},DelimExtendRelative',624,1059,'a,_11a){var C=',653,1067,'var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',843,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1091,')));H=2*n*(',1091,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1095,');if(_11a){y','=0;}else{','y=H/2+a;}var Y=y;',1034,809,'Place(',843,'top.tclass,top.c),0,','y-top.h)+',809,1109,843,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',809,1109,843,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',651,'n;i++){','html+=',809,1109,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1091,'));if(top.h+top.d<0.9*(',1091,')){n=Math.max(1,n);}H=n*(',1091,1100,1095,');if(_11a){y',1105,'y=H/2+a;}var Y=y;',1034,809,1109,843,1111,'y-top.h);dx=(w-top',1123,1127,809,1109,843,1116,'w+bot.w)/2,Y-(H-bot.d));}if(_11a){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',624,1059,'a,_133){var Font=',653,1064,'C=Font[c];var html;',1086,1093,'-0.05)-(',1095,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1170,1100,1101,'-0.05)+(',1095,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',843,1111,'0);var h=',1170,';var y=top.d-0.05+rep.h;var ext=',843,'font,rep.c);',651,'n;i++){',1127,1178,'ext,0,y+i*h);}',1127,1178,843,1121,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1101,'-0.05;',651,'n;i++){',1127,1178,'ext,0,y+i*h);}',1127,1178,843,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1131,1168,1170,'));H=n*(',1170,1100,1095,'-0.05);html=',1178,843,1111,'0);var h=',1170,';var y=top.d-0.05+rep.h;var ext=',843,1089,651,'n;i++){',1127,1178,'ext,0,y+i*h);}',1127,1178,843,1206,'var w=top.w;if(_133){h=top.h;y',1105,'h=H/2+a;y=h-top.h;}html=',809,'Absolute(html,w,','Font.h,"none",-y,top.h);',1156,'Delimiter',624,'H,_149,_14a,_14b){var size=4;var TeX=',845,'TeX(_14a,size);if(!_149){',694,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_149[','2],_149[1],_14a);if(CFSH==null||CFSH[3]<H){',1247,'4],_149[3],_14a);}if(CFSH==null){',694,1245,'if(CFSH[2]==""){',694,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_14b);}',852,831,'.TeX(',1256,'CFSH[2],size',').Styled();if(_14b){box.y=-',653,'CFSH[1]].dh',859,'y=-((box.h+box.d)/2-box.d-',1257,');}',685,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1263,');}',861,'GetCharCode',624,'code){var ',1063,'code[0]];var Font=',653,1064,'c=Font[code[1]];',1045,'[1],4);}if(c.w',869,'w',848,843,1051,';}if(c.font',869,'font=font',787,'c;},AddClass',624,'_154,html',',font){if(_154==null){_154=font',787,843,1299,');},LayoutRelative',624,'size,_158,_159,_15a,_15b,_15c){if(_159==null){_159=[];}if(_15a==null){_15a=[];}if(_15b==null){_15b=[];}var _15d=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_161=-1000;var bh=_161;var bd=_161',';var i;var j;var row;for(i=0;i<','_158',666,'if(_15b[i]==null){_15b[i]=0;}row=_158','[i];H[i]=jsMath.h*','_15d',';D[i]=jsMath.d*','_15d',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(_15b[_158','.length]==null){','_15b[_158','.length]=','0;}if(bh==_161){bh=0;}if(bd==_161){bd=0;}','var HD=(jsMath.hd-0.01)*','_15d;var dy=(_15c||1)*_15d/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _170;var _171',';for(j=0;j<W.length;j++){','_170=[];y=-H[0]-_15b[0];pW=0;','for(i=0;i<','_158',666,'_171=_158[i][j];if(_171&&_171.format!="null"){','if(_159[j]=="','l"){w',1105,1334,'r"){w=W[j]-_171.w;}else{w=(W[j]-_171.w)/2;}}_171.x=w-pW;pW=_171.w+w;_171.y=y;_170[_170',1322,'_171;}if(i+1<_158',941,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_15b[i+1];}}if(_15a[j]==null){_15a[j]=_15d;}if(_170.length>0',1273,'(_170,"T",size);',1127,809,1109,'box.html,cW,0);cW=W[j]-box.w+_15a[j];}else{cW+=_15a[j];}}w=-_15a[W.length-1];','y=(H.length-1)*dy+','_15b[0];',1330,'W',666,'w+=W[i]+_15a[i];}',1330,'H',666,'y+=Math.max(HD,H[i]+D[i])+','_15b','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1127,809,'Spacer(cW-_15a[W.length-1]+_15d/6);html=',809,1109,'html,_15d/6,h);box=',839,1039,'+_15d/3,h,d);box.bh=bh;box.bd=bd;',861,'LayoutAbsolute',624,'size,_174,_175,_176,_177,_178){if(_175==null){_175=[];}if(_176==null){_176=[];}if(_177==null){_177=[];}var _179=jsMath.sizes[size]/100;',1324,'_179;var dy=(_178||1)*_179/6',1307,'w=0;var h;var x;var y',1309,'_174',666,'if(_177[i]==null){_177[i]=0;}row=_174',1313,'_179',1315,'_179',1317,1318,'w;}}}}if(_177[_174',1320,'_177[_174',1322,'0;}',1351,'_177[0];',1330,'H',666,1360,'_177',1362,1326,'_188;w=_179/6',1328,'y=H[0]-h+_177[0];',1330,'_174',666,'_188=_174[i][j];if(_188&&_188.format!="null"){','if(_175[j]&&_175[j]=="','l"){x',1105,1411,'r"){x=W[j]-_188.w;}else{x=(W[j]-_188.w)/2;}}',1127,1178,'_188.html,w+x,y-Math.max(0,_188.bh-jsMath.h*_179));}if(i+1<_174',941,'y+=',1343,'_177[i+1];}}if(_176[j]==null){_176[j]=_179;}w+=W[j]+_176[j];}w=-_176[W.length-1]+_179/3;',1330,'W',666,'w+=W[i]+_176[i];}html=',809,'Spacer(_179/6',')+html+',809,1428,');if(',716,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',809,1236,'h+d,d,y,H[0]);',852,839,1039,'+_179/3,h,d);',861,'InternalMath',624,'text,size){text=text.replace(/@\\(([^)]*)\\)/g,"<$1>");if(!text.match(/\\$|\\\\\\(/)){',694,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _18f="";var _190=[];var _191;var html;var box;while(i<text',941,'c=text.charAt(i++);if(c','=="$"){if(_18f=="$"){','_191=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_191.error){_190[_190.length]=this.Text(_191.error,"error","T",size,1,0.2);}else{_191.Atomize();_190[_190.length]=_191.mlist.Typeset("T",size).Styled();}_18f="";k=i',';}else{','_190[_190.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_18f="$";k=i;}}else{if(c=="\\\\"){',1449,'=="("&&_18f==""){',1455,',i-2',1457,'_18f=")";k=i;}else{if(c==")"&&_18f==")"){',1451,'2',1453,';}}}}}',1455,1457,694,'SetList(_190,"T",size);},Set',624,'box',',_195,size',',_197){if(box&&box.type){','if(box.type=="typeset"){',670,'box;}if(box.type=="mlist"){box.mlist.Atomize(_195,size);',670,'box.mlist.Typeset(_195,size);}if(box.type=="text"){box=this.Text(box.text,',855,1475,',box.ascend||null,box.descend||null',');if(_197!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1475,1485,670,831,'.Null;},SetList',624,'_198,_199,size){var _19b=[];var box;',651,'_198',666,'box=_198[i];',1477,'box=','jsMath.mItem','.Typeset(box);}_19b[_19b',1322,'box;}var _19e=new jsMath.Typeset(_19b);',670,'_19e.Typeset(_199,size);}});','jsMath.Package(jsMath.','Box,{Styled',643,'if(this.format=="text"){',834,843,'this.tclass,this.html);',834,845,846,'this.style,this.size,this.html);delete this.tclass;delete this.style;this.format="html";}',670,'this;},Remeasured',643,'if(this.w>0){this.w',848,'this.html).w',787,'this;}});',1500,832,'type,def){this.type=type;',640,'this,def);};',640,1500,',{Atom',624,'type,_1a2','){return new jsMath.mItem','(type,{atom:1,nuc',':_1a2});},TextAtom',624,'type,text,_1a5,a,d){var atom=new ',1500,1536,':{type:"text",text:text,tclass:_1a5}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1543,'descend=d',787,'atom;},TeXAtom',624,'type,c,font',1535,1536,':{type:"TeX",c:c,font:font}});},Fraction',624,'name,num,den,_1af,left,_1b1',1535,'("fraction",{from:name,num:num,den:den,thickness:_1af,left:left,right:_1b1});},Space',624,'w',1535,'("space",{w:w});},Typeset',624,'box',1535,'("ord",{atom:1,nuc:box});},HTML',624,'html',1535,'("html",{html:html});}});jsMath.mList',832,'list,font,size,_1b8){if(list){this.mlist=list;}else{this.mlist=[];}if(_1b8==null){_1b8="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1b8','};this.init={',1572,'};};',1506,'mList,{Add',624,'box){return (','this.mlist[','this.mlist.length',']=box);},Get',624,'i){',694,'mlist[i];},Length',643,670,1581,';},Last',643,'if(',1581,1061,694,'mlist[',1581,'-1];},Range',624,'i,j){if(j==null){j=',1581,787,'new jsMath.mList(this.mlist.slice(i,j+1));},Delete',624,1600,'i;}if(','this.mlist.splice','){',1607,'(i,j-i+1);}else{var _1bf=[];for(var k=0;k<',1581,';k++){if(k<i||k>j){_1bf[_1bf',1322,1580,'k];}}this.mlist=_1bf;}},Open',624,'left){',852,'this.Add(new ',1500,'("boundary",{','data:this.data}));var _1c3=this.data;this.data={};for(var i in _1c3){this.data[i]=_1c3[i];}delete ','this.data.overI;','delete ','this.data.overF;this.data','.openI=',1581,'-1;if(left',857,'left=left;}',861,'Close',624,'_1c5){if(_1c5!=null){_1c5=new ',1500,1621,'right:_1c5});}var atom;var open=this.data.openI;var over=',1623,'var from=',1625,'=',1580,'open].data;if(over){atom=',1500,'.Fraction(from.na'],
  ['me',',{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1c5','){var ','_1ca=new ','jsMath.','mList','([','this.mlist','[open],atom,_1c5]);atom=','jsMath.mItem.','Atom("inner','",{type:"mlist",mlist:','_1ca});}}else{var _1cb=open+1;if(_1c5){this.Add(_1c5);_1cb--;}atom=',10,'Atom((_1c5)?"inner":"ord',12,'this.Range(_1cb)});}this.Delete(open,this.Length());','return this.','Add(atom);},Over',':function(){','var over=this.data.overI;var from=this.data.overF;var atom=',10,'Fraction(from.name',1,8,'=[atom];},Atomize',':function(','_1cf,size',3,'_1d1;var prev="";','this.style','=_1cf;','this.size','=size;for(var i=0;i<',8,'.length;i++){','_1d1=',8,'[i];_1d1','.delta=0;','if(_1d1.type=="choice"){',8,'=this.Atomize.choice(',31,',_1d1,i,',8,');i--;}','else{if(','this.Atomize[_1d1.type',']){var f=',49,'];f(',31,',',33,',_1d1,prev,this,i);}}prev=_1d1;}if(_1d1&&_1d1','.type=="bin"){','_1d1','.type="ord";}','if(',8,'.length>=2&&_1d1.','type=="boundary','"&&',8,'[0].',63,'"){this.','AddDelimiters','(',28,');}},',69,27,'_1d5,size',3,'_1d7=-10000;var h=_1d7;var d=_1d7;for(var i=0;i<',8,36,'var _1db=',8,'[i];if(_1db.atom||_1db.type=="box"){h','=Math.max(','h,_1db.nuc.h+_1db.nuc.y);d',83,'d,_1db.nuc.d-_1db.nuc.y);}}var TeX=',5,'TeX;var a=','jsMath.Typeset.','TeX(',75,').axis_height;var _1de',83,'h-a,d+a);var H',83,'Math.floor(','TeX.integer','*_1de/500)*TeX.delimiterfactor,',97,'*(2*_1de-TeX.delimitershortfall))/',97,';var left=',8,'[0];var _1e1=',8,'[',8,'.length-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1d5);_1e1.nuc',109,110,'_1e1.right',',_1d5);left.type="open";left','.atom=1;delete ',111,';_1e1.type="close";_1e1',117,115,';},','Typeset',27,'_1e2,size',3,'_1e4=new ',5,123,'(',8,');','return ','_1e4.',123,'(',125,');}});',5,'Add(',5,6,'.prototype.Atomize,{style',27,'_1e5,size,_1e7,prev,_1e9){_1e9.style=_1e7.style;},size',27,'_1ea,size,_1ec,prev,_1ee){_1ee.size=_1ec.size;},phantom',27,'_1ef,size,_1f1){','var box','=_1f1.nuc',109,'Set(','_1f1.phantom',',_1ef',',size);','if(_1f1.h){box','.Remeasured();','box','.html=',5,'HTML.Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1f1.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',154,';_1f1','.type="box";},','smash',27,'_1f3,size,_1f5){',150,'=_1f5.nuc',109,153,'_1f5.smash',',_1f3,','size).Remeasured();',165,167,178,';_1f5',170,'raise',27,'_1f7,size,_1f9){','_1f9.nuc',109,153,189,',_1f7',',size);var ','y=_1f9.raise;',189,160,5,'HTML.Place(',189,'.html,0,y);',189,'.h+=y;',189,'.d-=y;_1f9','.type="ord";','_1f9.atom=1;},lap',27,'_1fb,size,_1fd){',150,109,153,'_1fd.nuc,_1fb,',180,'var _1ff=[box];','if(_1fd.lap=="','llap"){box.x=-box.w;}else{',216,'rlap"){_1ff[1]=',10,'Space(-',163,216,'ulap"){box.y=box.d;',165,'0;}else{',216,'dlap"){box.y=-box.h;',165,'0;}}}}_1fd.nuc',109,'SetList(','_1ff,_1fb',156,216,'ulap"||_1fd.lap=="dlap"){_1fd.nuc.h=_1fd.nuc.d=0;}_1fd.type="box";delete _1fd.atom;},bin',27,'_200,size,_202',',prev){if(prev','&&prev.type',3,'type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',63,'"&&prev.left!="")){_202.type="ord";}}else{_202',59,'jsMath.mList.prototype.Atomize.SupSub(',238,');},rel',27,'_205,size,_207',239,'.type&&prev',57,'prev',59,246,250,');},close',27,'_209,size,_20b',239,'.type&&prev',57,'prev',59,246,260,');},punct',27,'_20d,size,_20f',239,'.type&&prev',57,'prev',59,246,270,');},open',27,'_211,size,_213','){',246,280,');},inner',27,'_214,size,_216','){',246,286,');},','vcenter',27,'_217,size,_219','){',150,109,153,'_219.nuc,_217',194,'TeX=',89,'TeX(_217',156,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_219.nuc=box;_219',206,246,293,');},','overline',27,'_21c,size,_21e',3,'TeX=',89,'TeX(_21c',194,'box',109,153,'_21e.nuc',',',89,'PrimeStyle','(_21c),',180,'var t=','TeX.default_rule_thickness',';var rule',109,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',322,109,'SetList([box,','rule],_21c',156,322,'.h+=t;_21e',206,246,313,');},','underline',27,'_223,size,_225',3,'TeX=',89,'TeX(_223',194,'box',109,153,'_225.nuc',',',89,325,'(_223),',180,328,329,';var rule',109,332,'=-box.d-3*t-t;',356,109,336,'rule],_223',156,356,'.d+=t;_225',206,246,347,');},radical',27,'_22a,size,_22c',3,'TeX=',89,'TeX(_22a',194,'Cp=',89,325,'(_22a);',150,109,153,'_22c.nuc,Cp,',180,328,329,';var p=t;if(_22a=="D"||_22a=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',109,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_22a,1);if(surd.d>',400,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',109,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;box.x=-box.w;var Cr=',89,'UpStyle(',89,407,'_22a));var root',109,153,'_22c.root||null,Cr,',180,'if(_22c.root){root.y=0.55*(',400,'+3*t+r)-box.d;surd.x',83,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_22c.nuc',109,'SetList([','surd,root,rule,box],_22a',156,'_22c',206,246,380,');},accent',27,'_237,size',',_239',3,'TeX=',89,'TeX(_237',194,'Cp=',89,325,'(_237);',150,109,153,'_239.nuc',',Cp',194,'u=box.w;var s;var Font;if(_239.','nuc.type=="TeX','"){Font=',5,'TeX[',444,'.font];if(','Font[_239.nuc.c].krn','&&Font.skewchar){s=',454,'[Font.skewchar];}}if(s==null){s=0;}var c=_239.accent[2];var font=',5,'TeX.fam[_239.accent[1]];Font=',5,'TeX[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _242=Math.min(box.h,TeX.','x_height);','if(_239.',448,'"){var _243=',10,'Atom("ord",',444,');_243.sup=_239.sup;_243.sub=_239.sub;_243',40,246,430,',_243);_242+=(_243.nuc.h-box.h);box=',444,'=_243.nuc;delete _239.sup;delete _239.sub;}var acc',109,'TeX(c,font,',430,');acc.y=box.h-_242;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',444,109,336,'acc],',430,');if(',444,'.w!=box.w',3,'_245=',10,'Space(box.w-',444,'.w);',444,109,421,444,',_245],',430,');}_239',206,246,430,',_239);},op',27,'_246,size,_248',3,'TeX=',89,'TeX(_246',194,'box;_248',40,'var isD=(_246','.charAt(0)=="','D");if','(_248.limits','==null&&isD){_248.limits=1;}if(_248.',448,'"){var C=',5,'TeX[_248.nuc.font][','_248.nuc','.c];if(isD&&C.n){',523,'.c=C.n;C=',5,522,'C.n];}box',109,'Set(_248.nuc,_246,size',');if(C.ic){_248','.delta=C.ic*TeX.scale;if',517,'||!_248.sub||',5,'Browser.msieIntegralBug','){box',109,336,10,'Space(_248.delta)],','_246,size);}}','box.y=-((',400,')/2-box.d-',305,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',109,531,').Remeasured();}if',517,3,'W=box.w;var x=box.w;var _24f=[box];var dh=0;var dd=0;if(_248.sup',3,'sup',109,153,'_248.sup,',89,407,'_246),',180,'sup.x=((box.w-sup.w)/2+','_248.delta/2)-x;','dh=TeX.big_op_spacing5;W',83,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_24f[_24f.length]=','sup;delete _248.sup;}if(_248.sub',3,'sub',109,153,'_248.sub,',89,'DownStyle','(_246),',180,'sub.x=((box.w-sub.w)/2-',565,'dd=TeX.big_op_spacing5;W',83,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',569,'sub;delete _248.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',569,10,'Space(W-x);}',523,109,232,'_24f,_246',156,523,'.h+=dh;',523,'.d+=dd;}',48,5,537,'&&_248.sub&&C&&C.ic){',523,109,336,5,'Box.Space','(-C.ic*TeX.scale)],_246,size);}',48,'box.y){',523,109,421,'box],',543,246,506,72,'ord',27,'_254,size,_256',',prev,_258,i){if(_256.',448,'"&&!_256.sup&&!_256.sub',3,'_25a=','_258.mlist[','i+1];if(_25a&&_25a.atom&&_25a.type&&(_25a.type=="ord','"||_25a.type=="','op',629,'bin',629,'rel',629,'open',629,'close',629,'punct")){if(_25a.',448,'"&&_25a.nuc.font==_256.nuc.font){_256.textsymbol=1;var krn=',5,'TeX[_256.nuc.font][_256.nuc.c].krn;krn*=',89,'TeX(_254,size).scale;if(krn&&krn[_25a.nuc.c]){for(var k=_258.mlist.length-1;k>i;k--){',627,'k+1]=',627,'k];}',627,'i+1]=',10,'Space(krn[_25a.nuc.c]);}}}}',246,621,');},fraction',27,'_25d,size,_25f',3,'TeX=',89,'TeX(_25d',194,'t=0;if(_25f.thickness!=null){t=_25f.thickness;}',48,'_25f.from.match(/over/)){t=',329,';}}var isD=(_25d',515,'D");var Cn=(_25d=="D")?"T":(_25d=="D\'")?"T\'":',89,407,'_25d);var Cd=(isD)?"T\'":',89,577,'(_25d);var num',109,153,'_25f.num,Cn,',180,'var den',109,153,'_25f.den,Cd,',180,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _26b=[',5,'Box.',110,'_25f.left,_25d)];var _26c',109,110,'_25f.right,_25d);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_26b[1]=num;_26b[2]=den;}else{den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_26b[1]=den;_26b[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1;}else{u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0',3,'p=(isD)?7*',329,':3*',329,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t;var a=',305,700,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',701,'v+=p-r;}var rule',109,'Rule(w,t);rule.x=-w;rule.y=a-t/2',';_26b[_26b.length]=','rule;}num.y=u;den.y=-v',710,'_26c;_25f.nuc',109,232,'_26b,_25d',156,'_25f',206,'_25f',117,'_25f.num;delete _25f.den;',246,659,');},SupSub',27,'_273,size,_275',3,'TeX=',89,'TeX(_273',194,'nuc=','_275.nuc',';',150,'=',734,109,153,734,',_273,size,0);if(box.format=="null"){box=',734,109,'Text("","normal",','_273,size);}','if(',448,'"){if(!_275.textsymbol',3,'C=',5,'TeX[nuc.font][nuc.c];if(C.ic){_275',533,'(!_275.sub){','box=',734,109,336,5,607,'(','_275.delta',')],_273',156,763,'=0;}}}else{',763,'=0;}}if(!_275.sup&&!_275.sub){return;}',734,'.Styled();var Cd=',89,577,'(_273);var Cu=',89,407,'_273);var q=',89,'TeX(Cu,size).','sup_drop;var r=',89,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_275.sub',3,'sub',109,153,'_275.sub,Cd',156,'sub',109,421,'sub,',10,'Space(TeX.scriptspace)],_273,size',');}if(!_275.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',89,782,462,734,109,336,'sub],_273,size).Styled();','delete _275.','sub;return;}var sup',109,153,'_275.sup,Cu',156,'sup',109,421,'sup,',10,795,');if(_273=="D"){p=TeX.sup1;}',48,'_273','.charAt(','_273','.length-1)=="\'"){','p=TeX.sup3;}else{p=TeX.sup2;}}u',83,'u,p,sup.d+',89,779,'x_height/4);if',755,'sup.y=u;',734,109,336,'sup],_273',156,804,'sup;return;}v',83,'v,',89,782,'sub2);',328,329,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',158,'sub',158,829,'sub.y=-v;sup.x=',763,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',734,109,336,'sub,sup],',746,'else{sub.x-=(sup.w+sup.x);',734,109,336,'sup,sub],',746,804,'sup;',804,'sub;}});',5,123,'=function(_284){this.type="typeset";',8,'=_284;};',5,'Add(',5,123,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle',':{D:"S\'",T:"S\'","',877,'\'",SS:"SS\'","',879,'UpStyle',27,'_285){',18,'upStyle[_285];},',577,27,'_286){',18,880,'[_286];},',325,27,'_287){if(_287',819,'_287',821,133,'_287;}',133,'_287+"\'";},StyleValue',27,'_288,v){if(_288=="S"||_288=="S\'"){',133,'0.7*v;}if(_288=="SS"||_288=="SS\'"){',133,'0.5*v;}',133,'v;},StyleSize',27,'_28a,size){if(_28a=="S"||_28a=="S','\'"){size=Math.max(0,size-','2);}else{if(','_28a=="SS','"||',918,916,'4);}}return ','size;},TeX',27,'_28c,size){if(_28c=="S"||_28c=="S',916,917,'_28c=="SS','"||',928,916,922,5,'TeXparams[size];},AddStyle',27,'_28e,size,html){if(_28e=="S"||_28e=="S',916,917,'_28e=="SS','"||',939,916,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+','html+"</span>";}',133,'html;},AddClass',27,'_291,html){if(_291!=""&&_291!="normal"){html=',5,'HTML.Class(_291,html);}',133,'html;}});',5,'Package(',5,123,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',958,'punct',960,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',960,',bin:2,rel:3,open',966,'}},SSsep:{ord:{op:1},op',960,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',27,'l,r,_295){if(l&&l.atom&&r.atom',3,'_296=this.DTsep;if(_295',515,'S"){_296=this.SSsep;}var row=_296[l.type];if(row&&row[r.type]!=null){',133,5,'TeX[this.sepW[row[r.type]]];}}',133,'0;},',123,27,'_298,size){',31,'=_298;',33,'=size;var _29a=-10000;this.w=0;this.h=_29a;this.d=_29a;this.bh=this.h;this.bd=this.d;this.tbuf="";this.tx=0;','this.tclass','="";','this.cbuf','="";this.hbuf="";this.hx=0;var _29b=null;var prev;this.x=0;this.dx=0;for(var i=0;i<',8,36,'prev=_29b;_29b=',8,'[i];switch(_29b.type){case "size":','this.FlushClassed();',33,'=_29b.size;','_29b=prev;break;case "','style":',1002,'if(',31,819,31,821,31,'=_29b.style','+"\'";}else{',31,1014,';}',1005,'space":if(typeof (_29b.w)=="object"){if(',31,819,'1)=="','S"){_29b.w=0.','5*','_29b.w[0]/18',';}',48,31,515,1024,'7*',1026,';}else{_29b.w=',1026,';}}}this.dx+=_29b.w-0;',1005,'html":',1002,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_29b.html;_29b=prev;break;default:if(!_29b.atom&&_29b.type!="box"){break;}','_29b.nuc.','x+=this.dx+this.',974,'(prev,_29b,',31,');if(',1044,'y||',1044,'x){',1044,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1044,'w+',1044,'x;if(',1044,'format=="text"){if(',993,'!=',1044,'tclass&&',993,'!=""){','this.FlushText','();}','if(this.tbuf','==""&&',995,'==""){this.tx=this.x;}this.tbuf+=',1044,'html;',993,'=',1044,'tclass;}else{',1002,'if(',1044,'x||',1044,'y){this.Place(_29b.nuc);}',1040,'x;}',1042,1044,'html;}this.h',83,'this.h,',1044,'h+',1044,'y);this.bh',83,'this.bh,',1044,'bh);this.d',83,'this.d,',1044,'d-',1044,'y);this.bd',83,'this.bd,',1044,'bd);break;}}',1002,'if(this.dx){',1042,5,162,'this.dx);this.w+=this.dx;}if(this.hbuf==""){',133,5,'Box.Null;}if(this.h==_29a){this.h=0;}if(this.d==_29a){this.d=0;}',150,'=new ',5,'Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;',133,'box;},FlushText',20,1070,'==""){return;}',995,'+=',89,'AddClass(',993,',this.tbuf);this.tbuf="";',993,'="";},FlushClassed',20,1068,'();if(',995,1128,1040,'tx;}',1042,89,'AddStyle(',31,',',33,',',995,');',995,'="";},Place',27,'item',3,'html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',5,'HTML.Em(item.x)+";";}if(item.y){html+=" top:"+',5,'HTML.Em(-item.y',')+";";}item',160,'html+"\\">"+item.html+"</span>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',27,'item){if(item.y){item.',1158,'; "+"top:"+',5,1163,')+";"+"\\">"+item.',944,'if(item.x){item',160,5,162,'item.x)+item.html;}',1167,';}});',5,'Parse','=function(s,font,size,','_2a5',3,'_2a6=new ',5,'Parser','(s,font,size,_2a5);_2a6.Parse();',133,'_2a6;};',5,1191,1186,'_2aa){this.string=s;this.i=0;',8,'=new ',5,6,'(null,font,size,_2aa);};',5,'Package(',5,1191,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1209,'r',1209,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1221,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1221,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1219,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1229,'T"],scriptstyle',1229,'S"],scriptscriptstyle',1229,'SS"],rm',':["HandleFont",','0],mit',1237,'1],oldstyle',1237,'1],cal',1237,'2],it',1237,'4],bf',1237,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1251,'arctan',1251,'arg',1251,'cos',1251,'cosh',1251,'cot',1251,'coth',1251,'csc',1251,'deg',1251,'det',':"NamedOp",','dim',1251,'exp',1251,'gcd',1271,'hom',1251,'inf',1271,'ker',1251,'lg',1251,'lim',1271,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1289,'sup"],ln',1251,'log',1251,'max',1271,'min',1271,'Pr',1271,'sec',1251,'sin',1251,'sinh',1251,'sup',1271,'tan',1251,'tanh',1251,291,':["HandleAtom","',291,'"],',311,1315,311,'"],',345,1315,345,'"],over',':"HandleOver",','overwithdelims',1326,'atop',1326,'atopwithdelims',1326,'above',1326,'abovewithdelims',1326,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1338,'","[","]"],choose',1338,'","(",")"],overbrace',1249,'leaders"],','underbrace',1249,1345,'overrightarrow',1249,1345,'overleftarrow',1249,1345,'overset',1249,'underset-overset"],','underset',1249,1357,'llap',':"HandleLap",','rlap',1362,'ulap',1362,'dlap',1362,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1370,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1374,'not="],neq',1374,'not="],notin',1374,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1374,1381,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1374,'mathbin{\\\\rm mod}"],pmod',1374,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1374,'ointop\\\\nolimits"],doteq',1374,'buildrel\\\\textstyle.\\\\over="],ldots',1374,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1374,1397,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1374,1397,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1374,1397,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1374,1381,'kern-4mu}"],relbar',1374,1381,'smash-}"],','Relbar',1374,1386,'="],bowtie',1374,1386,'\\\\',1215,'\\\\joinrel\\\\',1386,'\\\\triangleleft"],models',1374,1386,'|\\\\joinrel="],mapsto',1374,'mapstochar\\\\','rightarrow"],rightleftharpoons',1374,291,'{\\\\',1381,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1217,'}"],hookrightarrow',1374,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1374,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1374,1414,1422,'Rightarrow"],','longrightarrow',1374,'relbar\\\\',1440,'longleftarrow',1374,1443,'relbar"],Longleftarrow',1374,'Leftarrow\\\\joinrel\\\\',1414,'"],longmapsto',1374,1429,'char{cmsy10}{0}\\\\',1440,'longleftrightarrow',1374,'leftarrow\\\\',1440,'Longleftrightarrow',1374,1458,1448,'iff:["Macro","\\\\;\\\\',1469,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1476,'rm #1}",1],mathbf',1476,'bf #1}",1],','mathbb',1476,1481,'mathit',1476,'it #1}",1],textrm',1374,'mathord{\\\\hbox{#1}}",1],','textit',1374,'mathord{\\\\class{',1490,'}{\\\\hbox{#1}}}",1],','textbf',1374,1492,1495,1494,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1501,'1],qquad',1501,'2],thinspace',1501,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1509,'ord",1.15],bigg',1509,'ord",1.45],Bigg',1509,'ord",1.75],bigl',1509,'open",0.85],Bigl',1509,'open",1.','15],biggl',1509,1520,'45],Biggl',1509,1520,'75],bigr',1509,'close",0.85],Bigr',1509,'close",1.','15],biggr',1509,1531,'45],Biggr',1509,1531,'75],bigm',1509,'rel",0.85],Bigm',1509,'rel",1.15],biggm',1509,'rel",1.45],Biggm',1509,'rel",1.75],mathord',1315,'ord"],mathop',1315,'op"],mathopen',1315,'open"],mathclose',1315,'close"],mathbin',1315,'bin"],',1386,1315,'rel"],mathpunct',1315,'punct"],mathinner',1315,'inner"],','mathchoice',1249,1564,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1249,'fbox"],strut:"Strut",mathstrut',1374,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1572,'18]],ddot',1572,'127]],tilde',1572,'126]],bar',1572,'22]],breve',1572,'21]],check',1572,'20]],hat',1572,'94]],vec',':["MathAccent",[0,','1,126]],dot',1572,'95]],widetilde',1588,'3,101]],widehat',1588,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1596,'","&nbsp;","normal"],angle:["',1596,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1602,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",noalign:"HandleNoAlign",eqalignno',1602,'r","l","r"],[5/8,3],3,"D"],','leqalignno',1602,1607,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1612,'1],scriptsize',1612,'2],small',1612,'3],normalsize',1612,'4],large',1612,'5],Large',1612,'6],LARGE',1612,'7],huge',1612,'8],Huge',1612,'9],dots',1374,'ldots"],','newcommand',1249,1634,'"],def:["Extension'],
  ['","newcommand"],color:["','Extension','","HTML"],','href:["',1,'","HTML"],"class":["',1,2,'style:["',1,2,'cssId:["',1,2,'unicode:["',1,2,'bbox:["',1,'","bbox"],require:"','Require','","char":"Char"},','environments',':{array:"Array",','matrix',':["Array",null,null,"','c"],pmatrix',':["Array','","(",")","c"],bmatrix',27,'","[","]","c"],Bmatrix',27,'","\\\\{","\\\\}","c"],vmatrix',27,'","\\\\vert","\\\\vert","c"],Vmatrix',27,'","\\\\Vert","\\\\Vert","c"],cases',27,'","\\\\{",".","ll",null,2],eqnarray',25,'rcl",[5/18,5/18],3,"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',44,'[id]]=obj[id];}},Error',41,'(s){this.i','=this.','string','.length;','if(s','.error){','this.error','=s.error;}else{if(!this',54,55,'=s;}}},nextIsSpace',41,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',41,'(text){','if(typeof (','text)!="string"){',62,'text;}',62,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',41,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',54,'this.Error(','arg);','return null;}','if(arg.mlist.Length()==','0){',93,94,'1',78,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',106,'TeX")){',62,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',41,'(){var ','_2b2=/^([a-z]+|.) ?/i;var cmd=_2b2.exec(','this.string.slice(','this.i));','if(cmd){this.i+=cmd[1].length;',62,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2b5){','while','(this.nextIsSpace()){this.i','++;}if(this.i>=','this.string','.length){','if(!',126,'this.Error("','Missing',' argument for "+name);}',93,'if(',63,')==this.','close){if(!',126,134,'Extra close brace','");}',93,'if(',63,140,'cmd){',121,62,'this.cmd+','this.',112,'();}if(',63,')!=this.open','){return ',63,'++);}var j','=++this.i;var ','_2b7=1;var c="";',127,'(this.i<this.string.length){','c=',63,'++);','if(c==this.cmd){','this.i','++;}else{if(c','==this.open){_2b7',171,'==this.close){if(_2b7==0){',134,144,'");',93,'if(--_2b7==0',159,116,'j,this.i-1);}}}}}',134,'Missing close brace','");return',' null;},ProcessArg',124,'){var arg=this.',123,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',124,188,123,'(',191,192,193,'if(arg.charAt(0',140,'cmd',78,'_2bd=arg.substr(1);if(_2bd=="frac"){arg+="{"+this.',123,'(_2bd)+"}";',192,193,'arg+="{"+this.',123,'(_2bd)+"}";',192,' null;}}else{if(_2bd','=="sqrt"){arg+="["+this.','GetBrackets','(_2bd)+"]";',192,193,'arg+="{"+this.',123,'(_2bd)+"}";',192,216,'.match(this.scriptargs)){arg+="{"+this.',123,'(_2bd)+"}";',192,' null;}}}}}',194,'GetDelimiter',124,'){',127,128,'++;}var ','c=',63,');if',165,121,169,'c="\\\\"+this.',112,'(',191,192,' null;}}','if(','this.delimiter[','c]!=null',159,252,'c];}}',134,135,' or unrecognized delimiter for "+','name);return null;},','GetDimen',124,',nomu',78,'rest;var _2c3=0;if',128,'++;}if(',63,')=="{"){rest',50,123,'(name);}else{rest=',116,'this.i);_2c3=1;}',62,'this.','ParseDimen','(rest,name,_2c3,nomu);},',277,41,'(_2c4,name,_2c6,nomu',78,'_2c8=_2c4.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2c8){',134,135,' dimension or its units for "+',191,93,'if(_2c6){this.i+=_2c8[0].length;if',128,'++;}}var d=_2c8[1]-0;if(_2c8[4]=="px"){d/=',83,'em',';}else{if(_2c8[4]=="','pt"){d/=10',294,'ex"){d*=','jsMath.TeX.','x_height',294,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',62,'d;},GetNext',41,'(){',127,128,'++;}',62,63,');},',218,124,78,'c',50,'GetNext();if(c','!="["){return "";}var _2cc',162,'_2cd=0;',127,165,'var c=',63,'++);if(c=="{"){','_2cd',171,'=="}"){if(','_2cd==0){',134,144,' while looking for',' \']\'");',93,'_2cd--;}else{',169,'this.i',171,'=="]"){if(_2cd==0',159,116,'_2cc,this.i-1);}}}}}}',134,'Couldn\'t find',' closing \']\' for argument to "+',153,260,'GetUpto',124,',_2d0){',127,128,238,'_2d1',50,'i;var _2d2=0;',127,165,'var c=',63,325,'_2d2',171,328,'_2d2==0){',134,144,332,' "+',153,'_2d0);',93,'_2d2--;}else{',169,'if(',116,'this.i,this.i+','5)=="begin"){_2d2++;this.i+=4;}else{if(',116,377,'3)=="end"){if(_2d2>0){_2d2--;this.i+=2;}}}if(',365,'if(',116,377,'_2d0.length)==_2d0){c=',63,'+_2d0.length);if(c.match(/[^a-z]/i)||!_2d0.match(/[a-z]/i)){var arg=',116,'_2d1,this.i-1);this.i+=_2d0',52,62,'arg;}}}this.i++;}}}}',134,344,' "+',153,'_2d0+" for "+',260,'ProcessUpto',124,',_2d6',188,348,'(name,_2d6);',192,193,194,'GetEnd',41,'(env',78,'body="";var name="";',127,'(name!=env){body+=this.',348,'("begin{"+env+"}","end");',192,193,'name',50,123,'(this.cmd+"','end");',192,250,62,'body;},Space',41,'(){},','Prime',41,'(c',78,'base=',80,102,'(base==null||(!base',104,'base.type!="','box"&&',440,'frac")){',435,'this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',134,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',127,'(c=="\'"){sup+=this.cmd+"prime";c',50,317,'=="\'"){this.i++;}}base.sup',50,75,'(sup);','base.sup.isPrime','=1;},RaiseLower',124,78,'h','=this.GetDimen(this.cmd+name',',1);',192,451,'box',50,195,'(this.cmd+name);if(this.error){return',';}if(name=="','lower"){h=-h;}',80,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',124,78,'x',466,467,192,451,'box','=this.ProcessArg',473,474,'moveleft"){x=-x;}',445,'Space(x));',445,'Atom("ord",box));',445,'Space(-x));},',20,124,78,'file',50,123,473,';}file=',83,1,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',1,'(null,[','file]);},',1,124,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',44,'[data[1]||"macros"][name];}',83,1,'.',20,'(data[0],',519,'.asynchronous',');throw "restart";},Frac',124,78,'num',487,473,451,'den',487,473,';}',445,'Fraction("over",num,den));},Sqrt',124,78,'n',50,218,473,451,'arg',487,473,';}var box=jsMath.mItem.Atom("radical",arg);','if(n!=""){box.root',50,75,'(n);',192,';}}',80,'Add(box);},','Root',124,78,'n',50,400,'(',153,'name,"of");',192,451,'arg',487,473,555,'box.root=n;',80,563,'BuildRel',124,78,'top',50,400,'(',153,'name,"over");',192,451,'bot',487,473,451,'op=',83,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',80,'Add(op);},MakeBig',124,',data){var ','type=data[0];var h=data[1]*',83,'p_height;var _2fb',50,233,473,';}',445,'Atom(type,',83,'Box.Delimiter(h,_2fb,"T")));},Char',124,78,'font',50,123,473,451,'n',50,123,473,';}if(!','jsMath.TeX[font',']){',628,']=[];this.',1,514,'jsMath.Font.URL(font',')]);}else{',445,'Typeset(',83,'Box.TeX(n-0,font,"T",',80,87,')));}},Matrix',124,',_300',78,'data=',80,81,'var arg',50,123,473,451,'_303','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_300[5]||"T");_303.',24,'=name;_303.row=[];_303.table=[];_303.rspacing=[];_303.Parse();if(_303',54,91,'_303);',511,'_303','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_303.table,_300[2]||null,_300[3]||null,_303.rspacing,_300[4]||null);if(_300[0]&&_300[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_300[0]],"T");var _306',666,'_300','[1]],"T");box=jsMath.Box.SetList([left,box,','_306],','data.style,data.size',');}',445,'Atom((_300','[0]?"inner":"ord"),box));},','HandleEntry',124,'){','if(!this.',24,'){',91,'name+" can only appear in a matrix or array");return;}if(',80,'data.openI',521,'var open=',80,'Get(',80,686,');if(open','.left){',134,135,' "+this.cmd+"right','");}else{',134,184,'");}}if(',80,'data.overI',521,80,'Over();}var data=',80,81,80,'Atomize(',672,');var box=',80,637,672,');this.row[','this.row.length',']=box;this.mlist=new ',83,'mList(null,null,',87,88,');},HandleRow',124,',last',78,'_30d;',680,24,'){',91,153,684,'name=="\\\\"){_30d',50,218,473,';}if(_30d){','_30d',50,277,'(_30d,',153,'name,0,1);}}this.',677,'(',191,'if(!last||',717,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',738,'this.rspacing[this.table.length',']=_30d;}this.row=[];},HandleNoAlign',124,188,123,473,451,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',131,'return',451,'d',50,277,'(skip,',153,'RegExp.$1,0',467,192,';}',754,']=(',754,']||0)+d;},Array',124,',_313',78,'_314=_313[2];var _315=_313[3];if(!_314){_314',50,123,423,'begin{"+name+"}");',192,';}}_314=_314.replace(/[^clr]/g,"");_314=_314.split("");var data=',80,81,'var _317=_313[5]||"T";var arg',50,409,'(',191,192,451,'_319',655,'_317);_319.',24,'=name;_319.row=[];_319.table=[];_319.rspacing=[];_319.Parse();if(_319',54,91,'_319);',511,'_319',664,'_319.table,_314,_315,_319.rspacing,_313[4]);if(_313[0]&&_313[1]){var left',666,'_313[0]],"T");var _31c',666,'_313',670,'_31c],',672,');}',445,'Atom((_313',676,'Begin',124,78,'env',50,123,473,';}if(env.match(/[^a-z*]/i)){',134,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',680,22,'[env]){',134,'Unknown',830,832,'var cmd',50,22,'[env];',67,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',124,78,'env',50,123,473,';}',91,153,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',124,',w){',445,'Space(w-0));},Hskip',124,78,'w',50,261,473,';}',445,'Space(w));},HBox',124,'){var text=this.',123,473,';}','var box=jsMath.','Box.InternalMath(text,',80,87,');',445,637,'box));},Rule',124,',_32a',78,'w',466,467,192,451,'h',466,467,192,451,'d',466,467,192,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',83,'em,h);}if(h==0||w==0||_32a=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',904,'Rule(w,h);}if(d){html','="<span style=\\"','vertical-align:"+',904,'Em(-d)+"\\">"+','html+"</span','>";}',445,637,'new ',83,'Box("html",html,w,h-d,d)));},Strut',41,114,'size=',80,87,';',876,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',445,637,'box));},Phantom',124,604,'arg',487,473,';}',80,477,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',124,604,'arg',487,473,';}',80,477,'smash",{smash:arg}));},MathAccent',124,',_338',78,'c',487,473,451,100,83,599,'accent",c);atom.accent=_338[0];',80,'Add(atom);},NamedOp',124,604,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',876,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',80,563,'Limits',124,604,100,80,102,'(!atom||atom.type!="op"){',91,153,'name+" is allowed only on operators',185,';}atom.limits=data[0];},Macro',124,604,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',751,123,473,';}}text',50,'SubstituteArgs','(args,text);}',130,50,'AddArgs(','text,',116,117,'this.i=0;},',990,41,'(args,_349',78,'text="";var _34b="";var c;var i','=0;while(i<','_349',131,'c=','_349.charAt(i','++);',169,'text+=c+',1008,'++);}else{if(c=="#"){c=',1008,'++);if(','c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',131,134,'Illegal macro parameter reference");',93,'_34b',50,994,'this.AddArgs(_34b,text','),args[c-1]);text="";}}else{text+=c;}}}',62,1024,');},AddArgs',41,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',62,'s1+s2;},Replace',124,518,445,'TextAtom',529,'data[1],data[2],data[3]));},Tilde',124,'){',445,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',124,78,'box',487,'();',192,';}box=',80,477,'lap",{nuc:box,lap:name}));},HandleAtom',124,604,'arg',487,473,';}',445,'Atom(data,arg));},HandleMathCode',124,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',41,'(type,font,code){if(type==7&&',80,85,521,'font=',80,85,';}font=',298,'fam[font];if(!',628,']){',628,']=[];this.',1,514,634,')]);}else{',445,'TeXAtom(',298,'atom[type],code,font));}},','HandleVariable',41,'(c',1064,'7,1',',c.charCodeAt(0));},','HandleNumber',41,'(c',1064,'7,0',1094,'HandleOther',41,'(c){',445,1042,'",c,"normal"));},HandleComment',41,114,'c;',127,165,'c=',63,1015,'c=="\\r"||c=="\\n"){return;}}},HandleStyle',124,',_362){',80,'data.style=_362[0];',80,477,'style",{style:_362[0]}));},HandleSize',124,',size){',80,87,'=size[0];',80,477,'size",{size:size[0]}));},HandleFont',124,',font){',80,85,'=font[0];},HandleCS',41,114,'cmd',50,112,'();',192,';}if(this.macros[cmd]){var _368',50,'macros[cmd];',67,'_368',846,'_368=[_368];}this[_368[0]](cmd,_368.slice(1));',511,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1152,']);',511,'if(',252,153,'cmd',1153,'cmd,',252,153,'cmd].slice(0,3));',511,134,'Unknown control sequence \'"+',153,'cmd+"\'");},HandleOpen',41,'(){',80,'Open();},HandleClose',41,'(){if(',80,686,'==null){',134,144,185,451,'open=',80,'Get(',80,686,');if(!open||','open.left',1180,80,'Close();}else{',134,144,' or missing',697,185,';}},HandleLeft',124,78,'left',50,233,473,';}',80,'Open(left);},HandleRight',124,78,'_36d',50,233,473,451,'open=',80,'Get(',80,686,693,'&&',1191,521,80,'Close(_36d);}else{',134,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',124,518,'if(',80,703,521,134,'Ambiguous use of "+',153,191,511,80,703,'=',80,'Length();',80,'data.overF={name:name};if(data.length>0){',80,'data.overF.','left=',252,'data[0]];',80,1249,'right=',252,'data[1]];}else{if(name.match(/withdelims$/)){',80,1249,'left',50,233,473,';}',80,1249,'right',50,233,473,';}}else{',80,1249,'left=null;',80,1249,1255,'null;}}if(name.match(/^above/)){',80,1249,'thickness',466,467,192,1271,80,1249,'thickness=null;}},HandleSuperscript',41,114,435,80,102,'(base==null||(!base',104,440,'box"&&',440,'frac")){',435,445,446,447,'if(',461,'){',435,445,446,'else{',134,'Double exponent',450,';}}base.sup',50,195,'("superscript");',192,';}},HandleSubscript',41,114,435,80,102,'(base==null||(!base',104,440,'box"&&',440,'frac")){',435,445,446,'if(base.sub){',134,'Double subscripts',450,';}base.sub',50,195,'("subscript");',192,';}},Parse',41,114,'c;',127,165,'c=',63,1015,'this.mathchar[c',1153,'c,',1352,']);}else{if(this',45,'c]){this[this',45,'c]](c',');}else{if(','this.letter','.test(c)){this.',1089,'(c',1361,'this.number',1363,1095,'(c);}else{this.',1101,'(c);}}}}}if(',80,686,521,'var open=',80,'Get(',80,686,693,'.left){',134,135,697,698,134,184,'");}}if(',80,703,521,80,'Over();}},Atomize',41,114,'data=',80,'init;if(!this',54,80,710,672,');}},Typeset',41,114,'data=',80,'init;var box',50,'typeset=',80,637,672,');',192,' "<span class=\\"error\\">"+',55,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _378=0;var _379','=0;if(box.bh>','box.h&&box.bh>',83,'h','+0.001){_378=1;}if(box.','bd>box.d&&box.bd>',83,'d',1424,'h>',83,'h||box.d>',83,'d){_379=1',451,'html=box.html;if(_378){if(','jsMath.Browser.','allowAbsolute',78,'y',1420,83,'h+0.001){y=',83,'h-box.bh;}html=',904,'Absolute(html,box.w,',83,'h,0,y,',83,'h',1361,1436,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',912,'>";}else{var dy=',904,'Em(Math.max(0,box.bd-',83,'hd)/3);',1454,')+";"+" position:relative; top:"+dy+"; ',909,'dy+"\\">"+',912,'>";}}_379=1;}if(_379){html+=',904,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><span class=\\"scale\\">"+',912,'></nobr>";}});',44,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',124,78,'_37e=',44,'.macros;','_37e','[name]=["','Macro"];for(var i=1;i<arguments',52,'i++){_37e[name][_37e[name].length]=arguments[i];}}});',83,1,'={safeRequire:1,Macro',124,',file',78,'_382=',44,1480,'if(file',1180,'file=name;}_382',1482,1,'",file];},LaTeX',41,'(env,file',78,'_385=',44,'.',22,';_385[env]=["',1,'",file,"',22,'"];},Font',124,1132,'if(font',1180,'font=name+"10";}var _388=',44,1480,'_388',1482,1,'",',634,')];},MathChar',41,'(font,defs',78,'fam=',298,'famName[font','];if(fam',1180,1529,298,'fam',52,298,'fam[fam]=font;',298,1531,']=fam',451,'_38c=',44,'.mathchardef;for(var c in defs){_38c[c]=[defs[c][0],fam,defs[c][1]];}},',20,41,'(file,show){if(this.safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',83,'root.length)!=',83,'root))){',508,509,']=1;',511,508,'Script(this.URL(file),show);},URL',41,'(file){file=file',73,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',62,'file;}};',1474,75,41,42,508,'Body();','jsMath.Script.','Push(',519,',"','Asynchronous','",obj);},ProcessBeforeShowing',41,42,508,1571,'var _393=(','jsMath.Controls.cookie.','asynch?"',1576,'":"','Synchronous','");',1572,1573,519,',_393,obj);}});',519,'={element:[],cancel:0,Parse',41,'(_394,s,_396',78,'_397=',83,'Global.','cache[_394];if(!','_397[jsMath.em',']){',1602,']={};}var HTML=',1602,'][s];if(!HTML||_396',78,'_399=',83,'Parse(s,null,null,_394);_399.Atomize();HTML=_399.Typeset();if(!_396){',1602,'][s]=HTML;}}',62,'HTML;},TextMode',41,'(s,_39b){this.Parse("T",s,_39b);},DisplayMode',41,'(s,_39d){this.Parse("D",s,_39d);},','GetElementText',41,'(_39e',872,'recursiveElementText','(_39e);_39e.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1626,'gt;/g,">");',1626,'quot;/g,"\\"");',1626,'amp;/g,"&");}',62,'text;},',1624,41,'(_3a0){if(','_3a0.nodeValue','!=null',159,1639,';}if(','_3a0.childNodes','.length==0){return " ";}var text="";',983,1644,52,'i++){text+=this.',1624,'(',1644,'[i]);}',62,1635,'ResetHidden',41,'(_3a3){_3a3.innerHTML',908,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',1436,'operaHiddenFix;_3a3.className="";',83,'hidden=_3a3.firstChild;if(!',83,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',83,'ReInit();},','ConvertText',41,'(_3a4,_3a5',872,1620,'(_3a4',');this.ResetHidden(','_3a4',');if(text.match(/^\\s*\\\\nocache([^a-zA-Z])/)){','_3a5','=true;text=text.replace(/\\s*\\\\nocache/,"");}text=this.Parse("','T",text,_3a5);_3a4','.className="typeset";','_3a4','.innerHTML=text;},','ConvertDisplay',41,'(_3a7,_3a8',872,1620,'(_3a7',1677,'_3a7',1679,'_3a8',1681,'D",text,_3a8);_3a7',1683,'_3a7',1685,'ProcessElement',41,'(_3aa){','this.restart','=0;var _3ab=(','_3aa.className','.toLowerCase().match(/(^| )nocache( |$)/)!=null);try','{if(_3aa.tagName.toLowerCase()=="','div"){this.',1686,'(_3aa,_3ab);_3aa.onclick=jsMath.Click.CheckClick;_3aa.ondblclick=jsMath.Click.CheckDblClick',';}else',1708,'span"){this.',1671,1711,';}}}catch(err){if(_3aa.alt',78,'tex=_3aa.alt;','tex=tex.replace','(/&/g,"&amp;");',1720,'(/</g,"&lt;");',1720,'(/>/g,"&gt;");_3aa.innerHTML=tex;',1706,'="math";if(_3ab){',1706,'+=" nocache";}}',1667,';}},','ProcessElements',41,'(k){',1572,'blocking=','1;if(k>=','this.element.length','||','this.cancel','){this.','ProcessComplete','();if(',1740,'){','jsMath.Message.','Set("',75,' Math: Canceled");',1746,'Clear();}',1572,1736,'0;',1572,75,'();}else{','this.ProcessElement(this.element[','k]);if(',1704,'){',1572,1573,'this,"',1732,'",k);',1572,1736,'0;setTimeout("',1572,75,'()",',1436,'delay);}else{k++;var p=Math.floor(100*k/',1738,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',519,'.',1732,'("+k+")",',1436,'delay);}}},',1576,41,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);',1740,'=0;this',531,'=1;',1572,1736,'1;',1777,': 0%",1);setTimeout("',519,'.',1732,'(0)",',1436,'delay);},',1587,41,'(obj,i){if(i==null',1788,'i=0;}this',531,1004,1738,'){',1758,'i]);if(',1704,'){',83,'Synchronize','("',519,'.',1587,'(null,"+i+")");',1572,75,'();',511,'i++;}this.',1742,'(1);},GetMathElements',41,42,'var _3b3=[];if(!obj){obj=','jsMath.document',';}',67,'obj',846,'obj=',1834,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',93,'var math=',1842,'("div','");for(var k=0;k<math.length;k++){if(math[k].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_3b3[_3b3.length]=math[k];}}}','math=',1842,'("span',1848,'if(',1436,'renameOK','&&obj','.getElementsByName','){_3b3=obj',1857,'("_jsMath_',698,'if(',83,'hidden','.sourceIndex','){_3b3.sort(function(a,b',159,'a',1865,'-b',1865,';});}}',62,'_3b3;},',1742,41,'(_3b9){if(',1436,1855,78,'_3ba=',1834,1857,1860,'");for(var i=_3ba.length-1;i>=0;i--){_3ba[i].removeAttribute("name");}}',1667,';this.element=[];if(!_3b9){',1777,': Done");',1746,'Clear();}',1746,'UnBlank();if(',1436,'safariImgBug&&(',1583,'font=="symbol"||',1583,'font=="image")){if(','this.timeout','){clearTimeout(',1900,');}',1900,'=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1906,'(1,0); "+"',519,'.timeout = null",2000);}},Cancel',41,'(){',519,'.cancel=1;if(',1572,'cancelTimer){',1572,'cancelLoad();}}};',1474,'ConvertTeX',41,'(_3bc){',1572,'Push(jsMath.tex2math,"',1921,'",_3bc);},','ConvertTeX2',41,'(_3bd){',1572,1925,1928,'",_3bd);},','ConvertLaTeX',41,'(_3be){',1572,1925,1935,'",_3be);},','ConvertCustom',41,'(_3bf){',1572,1925,1942,'",_3bf);},','CustomSearch',41,'(om,cm,od,cd','){',1572,1573,'null,function(){',83,'tex2math.',1949,1951,');});},tex2math:{',1921,41,430,1928,41,430,1935,41,430,1942,41,430,1949,41,'(){}}});',83,1818,'=',1572,1818,';try{if(','window.parent','!=window&&window.jsMathAutoload){',1982,'.jsMath=jsMath;',1834,'=',1982,'.document;',83,'window=',1982,';}}catch(err){}',83,1600,'Register();',83,'Loaded();',83,'Controls.GetCookie();',508,'Source();',83,1600,'Init();',1572,'Init();',508,'Fonts();if(',1834,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
